 /**********************************************************************
  *                                                                    *
  * Copyright (c) 2002 Andreas Pfeiffer, CERN/IT                       *
  *                    <andreas.pfeiffer@cern.ch>                      *
  *                                                                    *
  * This library is free software; you can redistribute it and/or      *
  * modify it under the terms of the GNU Lesser General Public         *
  * License as published by the Free Software Foundation; either       *
  * version 2.1 of the License, or (at your option) any later version. *
  *                                                                    *
  * This library is distributed in the hope that it will be useful,    *
  * but WITHOUT ANY WARRANTY; without even the implied warranty of     *
  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU   *
  * Lesser General Public License for more details.                    *
  *                                                                    *
  * You should have received a copy of the GNU Lesser General Public   *
  * License along with this library (see file COPYING); if not, write  *
  * to the Free Software Foundation, Inc., 59 Temple Place, Suite      *
  * 330, Boston, MA 02111-1307 USA, or contact the author              *
  **********************************************************************/

// implementation file for class AIDAAnnotationFactory 
// 
// Created by: Andreas Pfeiffer
// 
// Last update: 
// 

#ifndef INCLUDED_AIDAANNOTATIONFACTORY_H
#include "AIDA_Annotation/AIDAAnnotationFactory.h"
#endif

#include "AIDA_Annotation/AIDAAnnotation.h"

Anaphe::IAnnotationFactory * createIAnnotationFactory() { return new Anaphe::AIDAAnnotationFactory(); }

Anaphe::AIDAAnnotationFactory::AIDAAnnotationFactory() { /* nop */ }

Anaphe::IAnnotation * Anaphe::AIDAAnnotationFactory::create()
{
  Anaphe::AIDAAnnotation * v = new Anaphe::AIDAAnnotation();
  return v;
}

Anaphe::IAnnotation * Anaphe::AIDAAnnotationFactory::create(const Anaphe::IAnnotation * other)
{
  const Anaphe::AIDAAnnotation * ann = dynamic_cast<const Anaphe::AIDAAnnotation *> (other);
  if (ann == 0) {
    std::cerr << "AIDAAnnotationFactory::create(const IAnnotation * other)> failed to dynaCast to AIDAAnnotation" << std::endl;
    return 0;
  }

  Anaphe::AIDAAnnotation * v = new Anaphe::AIDAAnnotation( *ann );

  return v;
}

