 /**********************************************************************
  *                                                                    *
  * Copyright (c) 2002 Andreas Pfeiffer, CERN/IT                       *
  *                    <andreas.pfeiffer@cern.ch>                      *
  *                                                                    *
  * This library is free software; you can redistribute it and/or      *
  * modify it under the terms of the GNU Lesser General Public         *
  * License as published by the Free Software Foundation; either       *
  * version 2.1 of the License, or (at your option) any later version. *
  *                                                                    *
  * This library is distributed in the hope that it will be useful,    *
  * but WITHOUT ANY WARRANTY; without even the implied warranty of     *
  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU   *
  * Lesser General Public License for more details.                    *
  *                                                                    *
  * You should have received a copy of the GNU Lesser General Public   *
  * License along with this library (see file COPYING); if not, write  *
  * to the Free Software Foundation, Inc., 59 Temple Place, Suite      *
  * 330, Boston, MA 02111-1307 USA, or contact the author              *
  **********************************************************************/

// 
// header file for class AIDAAnnotationFactory 
// Created by: Andreas Pfeiffer  at Wed Jan 19 20:36:32 2000
// 
// Last update: 
//              
// 
#ifndef INCLUDED_AIDAANNOTATIONFACTORY_H
#define INCLUDED_AIDAANNOTATIONFACTORY_H

#include "Interfaces/IAnnotationFactory.h"

namespace Anaphe {

  class IAnnotation;

  class AIDAAnnotationFactory : virtual public IAnnotationFactory { 

  public: 
    AIDAAnnotationFactory();
    virtual ~AIDAAnnotationFactory() { /* nop */ ; }

  public:
    // let the compiler deal with these ...
    //  AIDAAnnotationFactory(const AIDAAnnotationFactory &); 
    //  AIDAAnnotationFactory & operator = (const AIDAAnnotationFactory &); 

  public: 		// public methods
    virtual IAnnotation * create();
    virtual IAnnotation * create(const IAnnotation * other);
 
  }; 

} //end namespace Anaphe

// for access from dynamic loading

extern "C" {
  Anaphe::IAnnotationFactory * createIAnnotationFactory();
}


#endif /* INCLUDED_AIDAANNOTATIONFACTORY_H */ 
