 /**********************************************************************
  *                                                                    *
  * Copyright (c) 2002 Dino Ferrero Merlino, CERN/IT                   *
  *                    <bernardino.ferrero.merlino@cern.ch>            *
  *                                                                    *
  * This library is free software; you can redistribute it and/or      *
  * modify it under the terms of the GNU Lesser General Public         *
  * License as published by the Free Software Foundation; either       *
  * version 2.1 of the License, or (at your option) any later version. *
  *                                                                    *
  * This library is distributed in the hope that it will be useful,    *
  * but WITHOUT ANY WARRANTY; without even the implied warranty of     *
  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU   *
  * Lesser General Public License for more details.                    *
  *                                                                    *
  * You should have received a copy of the GNU Lesser General Public   *
  * License along with this library (see file COPYING); if not, write  *
  * to the Free Software Foundation, Inc., 59 Temple Place, Suite      *
  * 330, Boston, MA 02111-1307 USA, or contact the author              *
  **********************************************************************/


// implementation file for class AIDAScatterPlotFactory 
// 
// Created by: DinoFM
// 
// Last update: 
// 

#ifndef INCLUDED_AIDASCATTERPLOTFACTORY_H
#include "AIDA_ScatterPlot/AIDAScatterFactory.h"
#endif

#include "AIDA_ScatterPlot/AIDAScatter.h"

Anaphe::IScatterFactory* createIScatterFactory() { 
  return new Anaphe::AIDAScatterFactory(); 
}

Anaphe::AIDAScatterFactory::AIDAScatterFactory()  { /* nop */ }

Anaphe::AIDAScatterFactory::~AIDAScatterFactory()  { /* nop */ }

Anaphe::IScatter2D* Anaphe::AIDAScatterFactory::create(double xmin ,double xmax ,
				       double ymin ,double ymax, 
				       Anaphe::IScatter2D::Resolution res,
				       const char *opt) {
  return new Anaphe::AIDAScatter2D(xmin , xmax , ymin , ymax, res);
}
