/**********************************************************************
  *                                                                    *
  * Copyright (c) 2002 Dino Ferrero Merlino, CERN/IT                   *
  *                    <bernardino.ferrero.merlino@cern.ch>            *
  *                                                                    *
  * This library is free software; you can redistribute it and/or      *
  * modify it under the terms of the GNU Lesser General Public         *
  * License as published by the Free Software Foundation; either       *
  * version 2.1 of the License, or (at your option) any later version. *
  *                                                                    *
  * This library is distributed in the hope that it will be useful,    *
  * but WITHOUT ANY WARRANTY; without even the implied warranty of     *
  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU   *
  * Lesser General Public License for more details.                    *
  *                                                                    *
  * You should have received a copy of the GNU Lesser General Public   *
  * License along with this library (see file COPYING); if not, write  *
  * to the Free Software Foundation, Inc., 59 Temple Place, Suite      *
  * 330, Boston, MA 02111-1307 USA, or contact the author              *
  **********************************************************************/


// 
// header file for class AIDAScatterFactory 
// Created by: DinoFM  at Fri 20-04-2001
// 
// Last update: 
//              
// 
#ifndef INCLUDED_AIDASCATTERFACTORY_H
#define INCLUDED_AIDASCATTERFACTORY_H

#include "Interfaces/IScatter2D.h"
#include "Interfaces/IScatterFactory.h"

namespace Anaphe {

  class AIDAScatterFactory  : virtual public IScatterFactory { 

  public: 
    AIDAScatterFactory();
    virtual ~AIDAScatterFactory(); 

  public:
    // let the compiler deal with these ...
    //  AIDAScatterFactory(const AIDAScatterFactory &); 
    //  AIDAScatterFactory & operator = (const AIDAScatterFactory &); 

  public: 		
    IScatter2D* create(double xmin ,double xmax ,
		       double ymin ,double ymax, 
		       IScatter2D::Resolution=IScatter2D::highRes, 
		       const char *opt = 0);
    //virtual void unregister(IScatter2D * v) = 0;
    //virtual void setManager(IScatter2DManager * vm) = 0;
  }; 

} //end namespace Anaphe

#endif /* INCLUDED_AIDASCATTERPLOTFACTORY_H */ 
