/** \file INtupleParameters.h
 * Declaration of INtupleParameters class
 *
 * Copyright (C) CERN, Geneva
 *
 * \author Zsolt Moln&aacute;r
 */

#ifndef INTERFACES_INTUPLEPARAMETERS_H
#define INTERFACES_INTUPLEPARAMETERS_H 1

#include <iostream>

namespace Anaphe {

  class INtupleParameters  
  { 
  public: // Interface

    // Construct/destruct/copy
    virtual ~INtupleParameters     ()  { /* EMPTY */ }
    // Methods
    virtual bool          set      ( const char* aName, const double aValue ) = 0;
    virtual double        value    ( const char* aName ) const                = 0;
    virtual const char*   firstKey ()                                         = 0;
    virtual const char*   nextKey  ()                                         = 0;
    virtual bool          exists   ( const char* aName ) const                = 0;
    virtual void          removeKey( const char* aName )                      = 0;
#ifdef AIDA_DONT_USE_STD
    virtual void          listKeys (      ostream& aOs =      cout ) const = 0;
    virtual void          list     (      ostream& aOs =      cout ) const = 0;
#else   // #ifdef AIDA_DONT_USE_STD
    virtual void          listKeys ( std::ostream& aOs = std::cout ) const = 0;
    virtual void          list     ( std::ostream& aOs = std::cout ) const = 0;
#endif   // #ifdef AIDA_DONT_USE_STD
  }; 

} //end namespace Anaphe

#endif // #ifndef INTERFACES_INTUPLEPARAMETERS_H
