#ifndef INTERFACE_ISCATTER2D_H
#define INTERFACE_ISCATTER2D_H 1

/** Abstract class defining a 2D scatter plot "datasource".
  Basically the interface requires methods to retrieve min/max along
  X and Y directions plus pseudo-iterator methods to retrieve the
  points.
*/

namespace Anaphe {

  class IScatter2D {
  public:
    enum Resolution {lowRes=640, highRes=1024};
  public:
    virtual double minX() const = 0;
    virtual double maxX() const = 0;
    virtual double minY() const = 0;
    virtual double maxY() const = 0;
    virtual bool nextPoint(double &x, double &y) = 0;
    virtual void putPoint(double x, double y) = 0;
    virtual bool begin() = 0;
    virtual ~IScatter2D() {};
  };

} //end namespace Anaphe

#endif /* ndef INTERFACES_ISCATTER2D_H */

