// 
// Copyright (C) CERN, Geneva 
// 
// header file for class IScatterFactory 
// Created by: DinoFM  at Fri 20-04-2001
// 
// Last update: 
//              
// 
#ifndef INTERFACE_ISCATTERFACTORY_H
#define INTERFACE_ISCATTERFACTORY_H 1

namespace Anaphe {

  class IScatterFactory  { 

  public: 
    virtual ~IScatterFactory() { /* nop */; }

  public:
    // let the compiler deal with these ...
    //  IScatterFactory(const IScatterFactory &); 
    //  IScatterFactory & operator = (const IScatterFactory &); 

  public: 		
    virtual IScatter2D* create(double xmin ,double xmax ,
			       double ymin ,double ymax, 
			       IScatter2D::Resolution=IScatter2D::highRes, const char *opt=0) = 0;
    //virtual void unregister(IScatter2D * v) = 0;
    //virtual void setManager(IScatter2DManager * vm) = 0;

  }; 

} //end namespace Anaphe

extern "C" {
  Anaphe::IScatterFactory * createIScatterFactory();
}
#endif /* INTERFACE_ISCATTERFACTORY_H */ 
