// 
// Copyright (C) CERN, Geneva 
// 
// header file for class Analyzer 
// Created by: Andreas Pfeiffer  at Thu Sep  2 14:29:42 1999
// 
// Last update: 
//              
// 
#ifndef INTERFACES_ANALYZER_H
#define INTERFACES_ANALYZER_H 1

class IHistoManager;
class INtupleManager;
class IVectorManager;

class IAnalyzer { 

public: 
  virtual ~IAnalyzer() { /* nop */ } 

public:
// let the compiler deal with these 
  //  Analyzer(const Analyzer &); 
  //  Analyzer & operator = (const Analyzer &); 

public: 		// public methods
  virtual void loadLibrary(const char *) = 0;
  virtual void unLoadLibrary() = 0;

  virtual void doIt(IHistoManager * hm, INtupleManager * ntm, IVectorManager * vm)  = 0;

}; 

extern "C" {
  IAnalyzer * createIAnalyzer();
}

#endif /* INTERFACES_ANALYZER_H */ 
