// 
// Copyright (C) CERN, Geneva 
// 
// header file for class IAnnotationFactory 
// Created by: Andreas Pfeiffer  at Wed Jan 19 20:36:32 2000
// 
// Last update: 
//              
// 
#ifndef INTERFACES_IANNOTATIONFACTORY_H
#define INTERFACES_IANNOTATIONFACTORY_H 1

namespace Anaphe {

  class IAnnotation;

  class IAnnotationFactory { 

  public: 
    virtual ~IAnnotationFactory() { /* nop */ ; }

  public:
    // let the compiler deal with these ...
    //  IAnnotationFactory(const IAnnotationFactory &); 
    //  IAnnotationFactory & operator = (const IAnnotationFactory &); 

  public: 		// public methods
    virtual IAnnotation * create() = 0;
    virtual IAnnotation * create(const IAnnotation * other) = 0;
  
  }; 

} //end namespace Anaphe

// for access from dynamic loading

extern "C" {
  Anaphe::IAnnotationFactory * createIAnnotationFactory();
}

#endif /* INTERFACES_IANNOTATIONFACTORY_H */ 
