/** \file INtupleFactory.h
 * Declaration of INtupleFactory class
 *
 * Copyright (C) CERN, Geneva
 *
 * \author Zsolt Moln&aacute;r
 */

#ifndef INTERFACES_INTUPLEFACTORY_H
#define INTERFACES_INTUPLEFACTORY_H 1

namespace Anaphe {

  class INtuple;
  class INtupleParameters;

  class INtupleFactory  
  { 
  public: // Interface

    // Construct/destruct/copy
    virtual ~INtupleFactory                      ()  { /* EMPTY */ }
    // Methods
    virtual INtuple*           findNtuple        ( const char * aName )       = 0;
    virtual INtupleParameters* createParameters  ()                           = 0;
  }; 
} //end namespace Anaphe

// for access from dynamic loading
extern "C" {
  Anaphe::INtupleFactory* createINtupleFactory();
}

#endif // #ifndef INTERFACES_INTUPLEFACTORY_H
