#ifndef _HTLADAPTER_H_
#define _HTLADAPTER_H_

#include "Interfaces/IAnnotation.h"

/** Class to convert an HTL histogram to a vector of points. 
  Can be used to adapt HTL programs to display fit results
  with Qplotter (which acceps only Vector of Points as input data).
*/

class HTLAdapter {
public:
  /// Constructor taking an HTL I_Histo reference
  HTLAdapter (I_Histo& theH);
  /// Destructor
  ~HTLAdapter ();
  /// Method to retrieve the vector.
  Anaphe::IVector& getVect();
protected:
  void to1D(I_Histo& theH);
  void to2D(I_Histo& theH);
private:
  Anaphe::IVector *histoVect;
};

#endif
