#ifndef _FITADAPTER_H_
#define _FITADAPTER_H_

/** Class to convert a HepFitting fitter with its model function to a vector
  of points. Can be used to adapt HepFitting programs to display fit results
  with Qplotter (which acceps only Vector of Points as input data).
*/

class FitAdapter {
public:
  /** Constructor taking a Vector, a Fitter and a Model Function.
    The Vector contains the original points to fit.
  */
  FitAdapter(Anaphe::IVector& vH, HEPHistoFit &fitter, MODELfun& mf);
  /** Constructor taking a Gemini contour.
  */
  FitAdapter(GEminiContour gC);
  /// Destructor
  ~FitAdapter();
  /// Method to retrieve the vector.
  Anaphe::IVector& getVect();
private:
  Anaphe::IVector *fitVect;
};

#endif
