#include "HTL/Histograms.h" // Transient histograms.
#include "HTL/H_Statistics.h" // Transient histograms.
#include "CLHEP/Random/Randomize.h"
#include <qapplication.h>
#include "Qplotter/qp/qpplot.h"
#include "Qplotter/qp/qpcurve1D.h"
#include "Qplotter/adapters/HTLAdapter.h"

// #include "qp/qplistener.h"

const int nbx=40;

int main(int argc, char* argv[])
{
  int i;
  // Fill 1D histogram
  Histo1D h1d ( "Test of Histo1D",nbx,0.,10. );
  double x;
  for( i=0; i<5000; i++ ) {
    x = RandGauss::shoot(5.,1.6);   // (meanX=5, stDevX=1.6)
    h1d.fill(x);
  }
  // Capture histogram in a vector
  HTLAdapter hA (h1d);
  QApplication myapp(argc, argv);  
  QpPlot *plot = new QpPlot();
  QObject::connect(plot, SIGNAL(quit()), &myapp, SLOT(quit()));
  QpPage *page = plot->getPage();
  page->createZones(2,2);
  QpZone *z1 = page->getZone(0);
  // Show the histogram as Histo+Error
  new QpCurve1D(z1, hA.getVect(),QpCurve1D::HISTO_ERROR);  
  z1 = page->getZone(1);
  // Show the histogram as Line+Error
  z1->null(0,7,0,370);
  new QpCurve1D(z1, hA.getVect(),QpCurve1D::LINE_ERROR);  
  z1 = page->getZone(2);
  // Show the histogram as Marker
  new QpCurve1D(z1, hA.getVect(),QpCurve1D::MARKER);
  z1 = page->getZone(3);
  // Show the histogram as Marker+Line
  QpCurve1D *qpc4 = new QpCurve1D(z1, hA.getVect(),QpCurve1D::LINE_MARKER);
  qpc4->setSymStyle(QpMarker::Triangle);

  //  page->crossOutline();

  myapp.setMainWidget(plot);
  plot->show();
  plot->draw();
  myapp.exec();
  return 1;
}
 


