#include "HTL/Histograms.h" // Transient histograms.
#include "CLHEP/Random/Randomize.h"
#include <qapplication.h>
#include "Qplotter/qp/qpplot.h"
#include "Qplotter/qp/qpcurve2D.h"
#include "Qplotter/adapters/HTLAdapter.h"

const int nbx=100;
const int nby=100;

int main(int argc, char* argv[])
{
  int i;
  // Fill 2D histogram
  Histo2D h2d ( "Test of Histo2D",nbx,0.,10.,nby,0.,10. );
  double x,y;
  for( i=0; i<50000; i++ ) {
    // 2D Gaussian
    x = RandGauss::shoot(5.,1.6);   // (meanX=5, stDevX=1.6)
    y = RandGauss::shoot(5.,0.8);   // (meanY=5, stDevY=0.8)
    h2d.fill(x,y);
  }
  // Capture histogram in a vector
  HTLAdapter hA (h2d);
  QApplication myapp(argc, argv);  
  QpPlot *plot = new QpPlot();
  QObject::connect(plot, SIGNAL(quit()), &myapp, SLOT(quit()));
  QpPage *page = plot->getPage();
  QpZone *z1 = page->getZone(0);
  // Show the histogram as a vector
  new QpCurve2D(z1, hA.getVect() );  
  myapp.setMainWidget(plot);
  plot->show();
  plot->draw(); 
  myapp.exec();
  return 1;
}
 


