#include <qapplication.h>
#include "Qplotter/qp/qpplot.h"
#include "Qplotter/qp/qpcurve1D.h"
#include "Qplotter/qp/qpaxis.h"
#include "VectorOfPoints/Vector.h"

int main(int argc, char* argv[])
{
  Anaphe::AIDAVector vp;
  vp.fromAscii("ex2.dat");
  if (vp.dimension() >= 0) {
    QApplication myapp(argc, argv);
    QpPlot *plot = new QpPlot();
    QObject::connect(plot, SIGNAL(quit()), &myapp, SLOT(quit()));
    QpPage *page = plot->getPage();
    page->createZones(2,2);
    QpZone *z1 = page->getZone(0);
    z1->setXLog(true);
    // Check empty curve + property + newCurve()
    QpCurve1D *qpc = new QpCurve1D( z1); 
    qpc->setSymStyle(QpMarker::Triangle);
    qpc->newCurve(vp ,QpCurve1D::MARKER_ERROR);

    z1 = page->getZone(1);
    qpc = new QpCurve1D( z1); 
    qpc->newCurve(vp ,QpCurve1D::HISTO);  
    z1->setXLog(true);
      
    z1 = page->getZone(2);
    z1->setYLog(true);
    qpc = new QpCurve1D( z1); 
    qpc->newCurve(vp ,QpCurve1D::HISTO);  
      
    z1 = page->getZone(3);
    qpc = new QpCurve1D( z1); 
    qpc->newCurve(vp ,QpCurve1D::HISTO);  
    z1->setYLog(true);

    myapp.setMainWidget(plot);
    plot->show();
    plot->draw();
    myapp.exec();
  }
  return 1;
}
 


