#include "HTL/Histograms.h" // Transient histograms.
#include "CLHEP/Random/Randomize.h"
#include <qapplication.h>
#include "Qplotter/qp/qpplot.h"
#include "Qplotter/qp/qppage.h"
#include "Qplotter/qp/qpcurve3D.h"
#include "Qplotter/adapters/HTLAdapter.h"

#include "VectorOfPoints/Vector.h"

const int nbx=20; //20
const int nby=20; //20

int main(int argc, char* argv[])
{
  int nbLevels = 8; // 8
  int nbZones  = 1; // 2
  if (argc >1)
    nbLevels=atoi(argv[1]);
  if (argc >2)
    nbZones=atoi(argv[2]);
  // Fill 2D histogram
  Histo2D h2d ( "Test of Histo2D",nbx,0.,10.,nby,0.,10. ); // [0.0,10.0] x [0.0,10.0]

  /*
    double x,y;
    int i;
    for( i=0; i<50000; i++ ) { // 50000
    // 2D Gaussian
    x = RandGauss::shoot(5.,1.6);   // (meanX=5, stDevX=1.6)
    y = RandGauss::shoot(5.,0.8);   // (meanY=5, stDevY=0.8)
    h2d.fill(x,y);
    }
  */
  int i,j;

  for (i=0;i<20;i++)
    for (j=0;j<20;j++)
      {
	h2d.fill(i*0.5,j*0.5,0.1*(sin(i*0.4) + sin(i*0.5))*(cos(0.2*j) + cos(j*0.5)));	
      }

  // Capture histogram in a vector
  HTLAdapter hA (h2d);
  QApplication myapp(argc, argv);  
  QpPlot *plot = new QpPlot();
  QObject::connect(plot, SIGNAL(quit()), &myapp, SLOT(quit()));
  QpPage *page = plot->getPage();

  page->createZones(nbZones,nbZones);

//  page->selfDescribe(cout) ; 

  QpZone *z1 = page->getZone(0);
  QpCurve3D *qpc = new QpCurve3D(z1,hA.getVect());  
  //  qpc->changePalette(QpPalette::GEOGRAPHICAL,nbLevels);
  //  qpc->newCurve(hA.getVect(), QpCurve2D::LEGO );  
  qpc->makeLego(2.0, 240.0, -60.0);
  //  page->treeWalking();
  //  qpc->makeSurface(2.0, 240.0, -60.0);
  /*
    QpCurve2D *qpc = new QpCurve2D(z1);  
    qpc->changePalette(QpPalette::GEOGRAPHICAL,4*nbLevels);
    qpc->newCurve(hA.getVect(), QpCurve2D::LEGO );  
  */

  myapp.setMainWidget(plot);
  plot->show();
  myapp.exec();
  return 1;
}
 


