#include <qapplication.h>
#include "Qplotter/qp/qpplot.h"
#include "Qplotter/qp/qpcurve1D.h"
#include "Qplotter/qp/qpaxis.h"
#include "VectorOfPoints/Vector.h"

int main(int argc, char* argv[])
{
  Anaphe::AIDAVector vp;
  vp.fromAscii("ex2.dat");
  if (vp.dimension() >= 0) {
    QApplication myapp(argc, argv);
    QpPlot *plot = new QpPlot();
    QObject::connect(plot, SIGNAL(quit()), &myapp, SLOT(quit()));

    QpPage *page = plot->getPage();
    page->createZones(2,2);
    page->setQpPen(QPen(Qt::blue,1));
    page->setQpFont(QFont( "helvetica", 10 ));

    QpZone *z1 = page->getZone(0);
    QpCurve1D *qpc = new QpCurve1D( z1, vp); 
    qpc->setQpPen(QPen(Qt::red,1));
    z1->getAxisNode()->getAxis("y1")->setTitle("Y Axis");
    z1->getAxisNode()->getAxis("y1")->setLegend("Y label");
    z1->setTitle(QString("Zone 1 Title"));
    z1->enableGridX(true,true);

    QpZone *z2 = page->getZone(1);
    QpCurve1D *qpc2 = new QpCurve1D( z2, vp,QpCurve1D::LINE); 
    qpc2->setQpPen(QPen(Qt::red,1));
    z2->getAxisNode()->getAxis("y1")->setTitle("Y Axis");
    z2->getAxisNode()->getAxis("x1")->setTitle("X Axis");
    z2->getAxisNode()->getAxis("x1")->setLegend("<- Energy");
    z2->setTitle(QString("Zone 2 Title"));

    QpZone *z3 = page->getZone(2);
    QpCurve1D *qpc3 = new QpCurve1D( z3, vp,QpCurve1D::LINE); 
    qpc3->setQpPen(QPen(Qt::green,1));
    new QpCurve1D( z3, vp, QpCurve1D::ERROR); 
    z3->setTitle(QString("Zone 3 Title"));
    z3->getAxisNode()->getAxis("x1")->setTitle("Y Axis");
    z3->getAxisNode()->getAxis("y1")->setTitle("X Axis");
    z3->makeAxis(QpZone::Top);
    z3->getAxisNode()->getAxis("x2")->setTitle("X2 title");
    z3->getAxisNode()->getAxis("x2")->setLegend("X2 label");
    z3->getAxisNode()->getAxis("x2")->update(0,1);
    //z3->getAxisNode()->addElement(new QpScale(QpQwtScale::Top,z3,false));
    //z3->getAxisNode()->getAxis(QpQwtScale::Top)->setTitle("X2 Title");
    //z3->getAxisNode()->getAxis(QpQwtScale::Top)->setLabel("X2 label");
    //z3->getAxisNode()->getAxis(QpQwtScale::Top)->update(0,1,false);

    QpZone *z4 = page->getZone(3);
    QpCurve1D *qpc4 = new QpCurve1D(z4, vp,QpCurve1D::MARKER_ERROR); 
    qpc4->setQpPen(QPen(Qt::red,1));
    z4->getAxisNode()->getAxis("x1")->setTitle("Y Axis");
    z4->getAxisNode()->getAxis("y1")->setTitle("X Axis");
    z4->makeAxis(QpZone::Right);
    z4->getAxisNode()->getAxis("y2")->setTitle("Y2 title");
    z4->getAxisNode()->getAxis("y2")->setLegend("Y2 label");
    z4->getAxisNode()->getAxis("y2")->setOptions((QpAxis::Options)(
    						 QpAxis::TickPositive+
    						 QpAxis::Optimized));

    //z4->getAxisNode()->addElement(new QpScale(QpQwtScale::Right,z4,false));
    //z4->getAxisNode()->getAxis(QpQwtScale::Right)->setTitle("Y2 title");
    //z4->getAxisNode()->getAxis(QpQwtScale::Right)->setLabel("Y2 label");
    z4->setTitle(QString("Zone 4 Title"));
    z4->enableGridX(true,true);

    QpFrameLocator fl(0, "locator");
    fl.lRegister(page);
    page->setFinePicking(true);

    myapp.setMainWidget(plot);
    plot->show();
    plot->draw();

    myapp.exec();
  }
  return 1;
}
 


