#include <qapplication.h>
#include "Qplotter/qp/qpplot.h"
#include "Qplotter/qp/qpcurve1D.h"
#include "Qplotter/qp/qpaxis.h"
#include "VectorOfPoints/Vector.h"

int main(int argc, char* argv[])
{

  Anaphe::AIDAVector vp;

  vp.fromAscii("ex2.dat");
  if (vp.dimension() >= 0) {
    QApplication myapp(argc, argv);
    QpPlot *plot = new QpPlot();
    QObject::connect(plot, SIGNAL(quit()), &myapp, SLOT(quit()));
    QpPage *page = plot->getPage();
    QpZone *z1 = page->getZone(0);
    QpCurve1D *qpc = new QpCurve1D( z1, vp ,QpCurve1D::LINE_MARKER); 

    // Color and font management
    page->setQpPen(QPen(Qt::red,1));
    z1->setQpFont( QFont( "helvetica", 12 ));
    qpc->setQpPen( QPen(Qt::blue,1));
    qpc->setQpFont( QFont( "helvetica", 10 ) );

    // Titles management
    z1->setTitle("Test one zone");
    z1->getAxisNode()->getAxis("y1")->setTitle("Y Axis");
    z1->getAxisNode()->getAxis("x1")->setLegend("X Axis");
    
    // Stats management
    SummaryTable *st = new SummaryTable();
    st->append(new StPair(QString("legend"), QString("Curve 1")));
    st->append(new StPair(QString("Color    "), QString("blue")));
    st->append(new StPair(QString("separator"), QString("-")));
    st->append(new StPair(QString("Name"), QString("Test1")));
    st->append(new StPair(QString("Max"), "100.0"));
    st->append(new StPair(QString("Last"), QString("Item")));
    qpc->setSummaryTable(st);
    
    myapp.setMainWidget(plot);
    plot->show();
    plot->draw();

    // Moving the statistics object
    QpSummaryInfo *si = z1->getSummaryInfo();
    si->setOffsets(10,10);
    plot->refresh();
    myapp.exec();
  }
  return 1;
}
 


