#include <qapplication.h>
#include "Qplotter/qp/qpplot.h"
#include "Qplotter/qp/qpcurve2D.h"
#include "VectorOfPoints/Vector.h"

int main(int argc, char* argv[])
{
  Anaphe::AIDAVector vp;
  vp.fromAscii("ex2D.dat");
  if (vp.dimension() >= 0) {
    QApplication myapp(argc, argv);  
    QpPlot *plot = new QpPlot();
    QObject::connect(plot, SIGNAL(quit()), &myapp, SLOT(quit()));
    QpZone *z1 = plot->getPage()->getZone(0);
    QpCurve2D *qpc = new QpCurve2D(z1, vp );  
    qpc->setQpBrush(QBrush(Qt::red));

    // Grid management
    z1->enableGridX(true,true);
    z1->enableGridY(true,true);
    
    myapp.setMainWidget(plot);
    plot->show();
    plot->draw(); 
    myapp.exec();
  }
  return 1;
}
 


