#include "VectorOfPoints/Vector.h"
#include "Qplotter/viewer/viewerFactory.h"
#include <stdio.h>
#include "VectorOfPoints/Vector.h"

/** The first filled area would be covered by the second. By setting
    the reverse draw order on the zone, the problem is circumvented
**/

int main() {
  // Read the dataset from an ASCII file
  Anaphe::AIDAVector vp,vp2;
  vp.fromAscii("ex2.dat");
  vp2.fromAscii("ex2.dat");
  vp2.mul(2.0);
  IViewer *myV = ViewerFactory::Viewer();
  IPage *pg = myV->createPage(1,1);
  IZone *myZ = pg->selectZone(0);
  IDataset *histCurve = myZ->addDataset(vp);
  IDataset *fitCurve =  myZ->addDataset(vp2);
  histCurve->setProperty("Representation","hfilled");
  fitCurve->setProperty("Representation","hfilled");
  IDrawStyle *idx1 = fitCurve->getStyle();
  IDrawStyle *idx2 = histCurve->getStyle();
  idx1->setProperty("fillstyle","solid");
  idx1->setProperty("fillcolor","blue");
  idx2->setProperty("fillstyle","solid");
  idx2->setProperty("fillcolor","red");
  myZ->setProperty("draworder","reverse");

  char tmp[111];
  std::cout << "Type quit to exit"<< std::endl;
  myV->draw();
  myV->makePS("reversedraw.eps");  
  do {
    std::cin >> tmp;
  } while (strcmp(tmp,"quit"));
  delete myV;
  return 1;
}

