#include "CLHEP/Random/Randomize.h"
#include "AIDA_ScatterPlot/AIDAScatter.h"
#include <qapplication.h>
#include "Qplotter/qp/qpplot.h"
#include "Qplotter/qp/qpscatterplot2d.h"

const size_t nDraw=50000;

int main(int argc, char* argv[])
{
  size_t i;
  STLScatter2DAdapter myScatterPlot;

  // 2D Gaussian
  for( i=0; i<nDraw; i++ )
    myScatterPlot.putPoint(RandGauss::shoot(5.,1.6),RandGauss::shoot(5.,0.8));

  // Capture histogram in a vector
  QApplication myapp(argc, argv);  
  QpPlot *plot = new QpPlot();
  QObject::connect(plot, SIGNAL(quit()), &myapp, SLOT(quit()));
  QpPage *page = plot->getPage();
  QpZone *z1 = page->getZone(0);
  z1->enableGridX(true,true);
  z1->enableGridY(true,true);
  QpScatterPlot2D *qpc = new QpScatterPlot2D(z1, &myScatterPlot );  
  qpc->setQpPen(QPen(Qt::red,1));
  myapp.setMainWidget(plot);
  plot->show();
  plot->draw(); 
  myapp.exec();
  return 1;
}
 


