#include "CLHEP/Random/Randomize.h"
#include <qapplication.h>
#include "Qplotter/qp/qpplot.h"
#include "Qplotter/qp/qpscatterplot2d.h"
#include "AIDA_ScatterPlot/AIDAScatter.h"
#include "AIDA_ScatterPlot/AIDAScatterFactory.h"


/** Make a scatterplot using an intermediate bitmap (1024X1024) */

const size_t nDraw=50000;

int main(int argc, char* argv[])
{
  size_t i;
  IScatter2D* create(double xmin ,double xmax ,
		     double ymin ,double ymax, 
		     IScatter2D::Resolution, const char *opt);
  // The 2D gaussian will (mostly) be bound by a 10,10 zone.
  AIDAScatterFactory aisf;
  IScatter2D*  myScatterPlot = aisf.create (0.,10.,0.,10.);
  // 2D Gaussian
  for( i=0; i<nDraw; i++ )
    myScatterPlot->putPoint(RandGauss::shoot(5.,1.6),RandGauss::shoot(5.,0.8));

  // Show the scatter plot
  QApplication myapp(argc, argv);  
  QpPlot *plot = new QpPlot();
  QObject::connect(plot, SIGNAL(quit()), &myapp, SLOT(quit()));
  QpPage *page = plot->getPage();
  QpZone *z1 = page->getZone(0);
  QpScatterPlot2D *qpc = new QpScatterPlot2D(z1, myScatterPlot );
  // If you want to see larger points: the argument is the additional
  // size in pixel making the rectangle centered in the point. 
  //qpc->useMarker(1);
  myapp.setMainWidget(plot);
  plot->show();
  //plot->getPage()->print("ex.ps"); 
  myapp.exec();
  delete myScatterPlot;
  return 1;
}
 


