#include "VectorOfPoints/Vector.h"
#include "Qplotter/viewer/viewerFactory.h"
#include <stdio.h>
#include "VectorOfPoints/Vector.h"

int main() {
  // Read the dataset from an ASCII file
  Anaphe::AIDAVector vp;
  vp.fromAscii("ex2.dat");
  IViewer *myV = ViewerFactory::Viewer();
  IPage *pg = myV->createPage(1,1);
  IZone *myZ = pg->selectZone(0);
  myZ->setProperty("Option","YLog");
  myZ->setProperty("Option","XLog");
  myZ->xMinMax(0.,100.);
  myZ->yMinMax(0.,1000.);
  myZ->setProperty("Option","xAxisGrid");
  myZ->setProperty("Option","yAxisGrid");
  IDataset *fitCurve =  myZ->addDataset(vp);
  IDataset *histCurve = myZ->addDataset(vp);
  histCurve->setProperty("Representation","Error");
  histCurve->setProperty("Legend","Data");
  fitCurve->setProperty("Representation","Line");
  fitCurve->setProperty("Legend","Fit");
  IDrawStyle *idx = fitCurve->getStyle();
  idx->setProperty("linecolor","red");

  myZ->getAxis("X")->setProperty("Title","Energy");
  myZ->getAxis("Y")->setProperty("Title","Frequency");
  myZ->getAxis("X")->setProperty("Label","MeV");
  myZ->getAxis("Y")->setProperty("Label","Counts");

  myZ->setTitle("Fit of a Gaussian Energy Distribution");
  char tmp[111];
  std::cout << "Type quit to exit"<< std::endl;
  myV->draw();
  myV->makePS("simpleviewer.eps");  
  do {
    std::cin >> tmp;
  } while (strcmp(tmp,"quit"));
  delete myV;
  return 1;
}

