#include <qapplication.h>
#include "Qplotter/qp/qpplot.h"
#include "Qplotter/qp/qpcurve1D.h"
#include "VectorOfPoints/Vector.h"

int main(int argc, char* argv[])
{

  Anaphe::AIDAVector vp;
  
  vp.fromAscii("ex2.dat");
  if (vp.dimension() >= 0) {
    QApplication myapp(argc, argv);
    QpPlot *plot = new QpPlot();
    QObject::connect(plot, SIGNAL(quit()), &myapp, SLOT(quit()));
    QpPage *page = plot->getPage();
    page->createZones(2,2);
    page->setQpPen(QPen(Qt::blue,1));
    page->setQpFont(QFont( "helvetica", 10 ));

    QpZone *z1 = page->getZone(0);
    QpCurve1D *qpc = new QpCurve1D( z1, vp); 
    qpc->setQpPen(QPen(Qt::red,1));
    z1->setTitle(QString("Zone 1 Title"));

    QpZone *z2 = page->getZone(1);
    qpc = new QpCurve1D( z2, vp);
    qpc->setQpPen(QPen(Qt::red,1));
    z2->zoom(-10.0,-10.0,60.0,125.0);
    z2->setTitle(QString("Zone 2 Title"));

    QpZone *z3 = page->getZone(2);
    qpc = new QpCurve1D( z3, vp);
    qpc->setQpPen(QPen(Qt::red,1));
    z3->setTitle(QString("Zone 3 Title"));

    QpZone *z4 = page->getZone(3);
    qpc = new QpCurve1D( z4, vp);
    qpc->setQpPen(QPen(Qt::red,1));

    myapp.setMainWidget(plot);
    plot->show();
    plot->draw();
    z3->zoom(20.0,105.0,30.0,80.0);
    z3->unZoom();

    z4->zoom(20.0,105.0,30.0,80.0);
    z4->zoom(22.0,105.0,28.0,80.0);
    z4->unZoom();
    z4->setTitle(QString("Zone 4 Title"));

    plot->refresh();

    myapp.exec();
  }
  return 1;
}
 


