#ifndef ISCATTERPOINTS2D_H
#define ISCATTERPOINTS2D_H

/** %%%
    Abstract class defining a 2D scatter plot "datasource".
  Basically the interface requires methods to retrieve min/max along
  X and Y directions plus pseudo-iterator methods to retrieve the
  points.
  
  Usage:

*/


class IScatterPoints2D {
public:
  virtual double minX() const = 0;
  virtual double maxX() const = 0;
  virtual double minY() const = 0;
  virtual double maxY() const = 0;
  virtual bool getPoint(double &x, double &y) = 0;
  virtual void putPoint(double x, double y) = 0;
  virtual bool begin() = 0;
  virtual ~IScatterPoints2D() {};
};
#endif
