#ifndef QPCLOUDPLOT2D_H
#define QPCLOUDPLOT2D_H

/** 
  Usage:

*/


#include "AIDA/ICloud.h"
#include "AIDA/ICloud2D.h"
#include "Qplotter/qp/qpnode.cpp"
#include "Qplotter/qp/qpsummaryinfo.h"

class QpCloudPlot2D : public QpNode<QpObject>
{
public:
  /// Constructors
  QpCloudPlot2D( QpObject *_z);
  QpCloudPlot2D( QpObject *_z,  ICloud2D *_v);
  /// Destructor
  ~QpCloudPlot2D(){}
  /// Insert a new curve
  void newCurve(ICloud2D  *_v);
  /// Return the summary table
  SummaryTable *getSummaryTable() const { return st; }
  /// Set a SummaryTable
  void setSummaryTable(SummaryTable *_st) {st=_st;}
  /// Draw the curve
  virtual void draw();
  /// Print the curve
  virtual void print();
  /// Determine if the point [x +/- errorX, y +/- errorY] is in the object
  virtual QpObject *touched(double _x, double _y, double errorX, double errorY, QpObject *&node);
  void updateSt();
  void useMarker(int size) {markerSize = size;};
protected:
  void init(ICloud2D *sp2);
  void paint(QPainter *);
private:
  ICloud2D *theData;
  SummaryTable *st;
  int markerSize;
  QPointArray d_pa;
};

#endif
