#ifndef QPCOLORPLOT_H
#define QPCOLORPLOT_H

/** %%%
  Usage:

  TODO:

  (--)  Only eight colors palette for the time being...

*/


#include <assert.h>
#include <qcolor.h>

const int defaultColorLevels = 8;

/** Simple implementation of helper classes for the 2D Color plot*/

class QpPalette {
public:
  enum TYPE_PALETTE { DEFAULT, GREYSCALE, GEOGRAPHICAL, MULTICOLOR};
public:
  QpPalette();
  QpPalette(TYPE_PALETTE typePalette,int levels=defaultColorLevels);
  ~QpPalette();
  int size () const { return noOfLevels;}
  QColor getColor (int i);
private:
  void defaultPalette();
  void greyScale();
  void geographical();
  QColor *palette;
  int noOfLevels;
  TYPE_PALETTE typePalette;
};


/** Implementation of helper classes for the 2D Color plot*/
class Level {
public:
  Level(int length);
  ~Level();
  void addFace(double x,double y,double w,double h);
  double *getX() const {return xS;}
  double *getY() const {return yS;}
  double *getW() const {return wS;}
  double *getH() const {return hS;}
  int size () const { return noOfFaces;}
private:
  double *xS;
  double *yS;
  double *wS;
  double *hS;
  int noOfFaces;
};



#endif



