#ifndef QPFACE_H
#define QPFACE_H

/** %%%
  Usage:

  The QpFace class is the base class for building
  a simple square with its position, height, and width
  information. All the coords are going to be in Zone coords.

  TODO:

*/


#include "Qplotter/qp/qpobject.h"


class QpFace : public QpObject
{
public:
  /// Constructor of the face.
  QpFace(QpObject *z, bool addOnParent ,QpTransformation::tStrategy st);
  /// Destructor
  virtual ~QpFace() {}
  /// Change X coordinate of face
  void setX(double val) { x = val;  }
  /// Change Y coordinate of face
  void setY(double val) { y = val;  }
  /// Change width of face
  void setW(double val) { w = val;  }
  /// Change height of face
  void setH(double val) { h = val;  }
  /// Gets the x coordinate
  double getX() const { return x; }
  /// Gets the y coordinate
  double getY() const { return y; }
  /// Gets the width
  double getW() const { return w; }
  /// Gets the height
  double getH() const { return h; }
  
  /** Sets x,y coordinates, width and length of the object. By default, 
    the (x,y) point is the up&left corner of the rect. Center determines if the 
    (x,y) point is on center of the rectangle. 
  */
  void setGeometry(double _x, double _y, double _w=0., double _h=0., bool center=false);
  /// Sets center and bounding rectangle of the error cross (or other lineStyle).
  //void setLineGeometry(double _xc, double _yc, double _wc, double _hc);
  /// Draw the face. 
  void draw();
  /// Print the face.
  void print();
  // Used by the container class
  void paint( QPainter *p);
  // Mode used to draw the faces: 0 = box, 1 = Ellipse
  int FaceMode;

  void setBackground(QColor col) {backgroundColor = col;}
  
private: 
  // Position of left-top corner of the square.
  double x,y;
  // Symbol width,heigth
  double w,h;

  QColor backgroundColor ;
  
};


#endif

