#include "Qplotter/qp/qpzone.h"
#include "Qplotter/qp/qpgrid.h"

QpGrid::QpGrid(QpObject *z, bool addOnParent,QpTransformation::tStrategy st)
  : QpObject(new QString("QpGrid"),z,addOnParent,st), QpQwtGrid()
{
  QpQwtGrid::setMajPen(QPen(Qt::lightGray,1,Qt::DashLine));
  QpQwtGrid::setMinPen(QPen(Qt::lightGray,1,Qt::DotLine));
}

QpGrid::~QpGrid()
{}


void QpGrid::paint(QPainter *painter)
{
  QPen p = painter->pen();  // deep copy of the current pen
  QpQwtGrid::draw(painter, getZone()->getLimits(), 
		  *(getTransformation(getTransfStrategy())));
  painter->setPen(p);  
}

void QpGrid::draw()
{
  //QRect r = getZone()->getLimits();
  //r.setWidth(r.width()+1); r.setHeight(r.height()+1);
  paint(getPainter());
}

void QpGrid::print()
{
  paint(getPrinter());
}
