#ifndef QPMATHBOXLIST_H
#define QPMATHBOXLIST_H

/** %%%
    
  Usage:

    A utility class to collect elements of a mathematical formula.
    
*/


#include "Qplotter/qp/qpnode.cpp"
#include "Qplotter/qp/qpmathbox.h"


class QpMathBoxList : public QpNode<QpMathBox> {
 public:
  QpMathBoxList(QpObject *z, bool addOnParent,
		QpTransformation::tStrategy = QpTransformation::Zone);
  /** Return the width from the n element to the end **/
  int getWidth(int n) 
    {
      size_t curBoxes = count() - n;
      size_t i = 0;
      int boxWidth=0;
      
      while (i < curBoxes) {
	boxWidth += getElement(i)->getWidth();
	i++;
      }

      return boxWidth ;
    }
  
  /** Return the width of the formula in pixels.*/
  int getPixWidth(QPainter *p) /*const*/;
  /** Return the height of the text in pixels. */
  int getPixHeight(QPainter *p) /*const*/;
};

#endif
