#ifndef QPMULTILINE_H
#define QPMULTILINE_H

/** %%%
    
    The multiline object.
    
    Usage:
    TODO:

*/


#include "Qplotter/qp/qpobject.h"
#include "Qplotter/qp/qpzone.h"
#include <qpointarray.h>

 
class QpMultiLine : public QpNode<QpObject>
{
public:
  /// Constructor
  QpMultiLine(int nbElement, double *_x, double *_y, QpObject *z, 
	      bool addOnParent=true, 
	      QpTransformation::tStrategy st=QpTransformation::Zone);
  /// Destructor
  ~QpMultiLine() {delete [] xVector; delete [] yVector;}
  /// Returns number of points
  int getNb() const {return nb;}
  /// Get X coordinate of one point
  double getX(int indice=0) const {return (indice<getNb()) ? xVector[indice] : 0;}
  /// Get T coordinate of one point
  double getY(int indice=0) const {return (indice<getNb()) ? yVector[indice] : 0;}
  /// Draw multiline
  void draw();
  /// Print multiline
  void print();
    /// Is this object touched by this point ?
  QpObject *touched(double xVector, double yVector, double errorX, double errorY, QpObject *&node);

protected:
  void paint(QPainter *painter);

private:
  void computeCoeffs(double x1, double y1, double x2, double y2, double *a, double *b);
  double *xVector, *yVector;
  int nb;
};

#endif
