#ifndef QPPOLYFACE_H
#define QPPOLYFACE_H

#include "Qplotter/qp/qpface.h"

/** %%%
    
  Usage:

  This class is a set/node of QpFaces.
    
  TODO:

*/


class QpPolyFace : public QpNode<QpFace>
{
public:
  /// Constructor of QpPolyFace
  QpPolyFace(int nbElement, double *_x, double *_y, double *_w, double *_h, bool center, QpObject *z, 
	     bool addOnParent = true,QpTransformation::tStrategy st=QpTransformation::Zone);
  // Destructor
  ~QpPolyFace();
  /// Change polyface size 
  void setFaceSize(double _w, double _h);
  /// Gen number of faces
  int getNFaces() const {return nFaces;}
  /// Retrieve X coordinate of one element
  double getX(int indice=0) const {return (indice<getNFaces()) ? x[indice] : 0;}
  /// Retrieve Y coordinate of one element
  double getY(int indice=0) const {return (indice<getNFaces()) ? y[indice] : 0;}
  /// Retrieve width of one element
  double getW(int indice=0) const {return (indice<getNFaces()) ? w[indice] : 0;}
  /// Retrieve heigth of one element
  double getH(int indice=0) const {return (indice<getNFaces()) ? h[indice] : 0;}
  /// Drawing
  virtual void draw();
  /// Printing
  virtual void print();
  // Mode used to draw the faces: 0 = box, 1 = Ellipse
  int FaceMode;    
private:
  void paint (QPainter *painter);
private:
  double *x, *y, *w, *h;
  int nFaces;
};


#endif //QPPOLYFACE_H


