#include "Qplotter/qp/qpnode.cpp"
#include "Qplotter/qp/qppolymarker.h"

QpPolyMarker::QpPolyMarker(QpObject *z, bool addOnParent,
			   QpTransformation::tStrategy st) : 
  QpNode<QpMarker>(new QString("QpPolyMarker"), z, addOnParent, st)
  ,x(0) , y(0) , w(0) , h(0) 
{
}

QpPolyMarker::QpPolyMarker(int nbElement, QpMarker::SymStyle symbol, 
			   double *_x, double *_y, double *_w, double *_h, 
			   QpObject *z, bool addOnParent, 
			   QpTransformation::tStrategy st ) :
  QpNode<QpMarker>(new QString("QpPolyMarker"), z, addOnParent,st)
{
  nb=nbElement;
  x= new double [nbElement]; 
  y= new double [nbElement];
  w= new double [nbElement]; 
  h= new double [nbElement];
  for(int i=0;i<nbElement;i++) {
    x[i]=_x[i]; 
    y[i]=_y[i]; 
    w[i]=_w[i]; 
    h[i]=_h[i];
  }
  QpMarker *m;
  for(int i=0;i<nbElement;i++) {
    m = new QpScalableMarker(symbol,QpMarker::NoLine,z,false);
    m->setGeometry(x[i],y[i],w[i],h[i]);
    addElement(m);    
  }
}

QpPolyMarker::~QpPolyMarker() {
  delete [] x; 
  delete [] y; 
  delete [] w; 
  delete [] h;
}

void QpPolyMarker::setMarkerStyle(QpMarker::SymStyle style)
{
  QPtrList<QpObject> objectList = findType(QString("QpMarker"));
  for (objectList.first();
       objectList.current() != 0;
       objectList.next())
    {
      ((QpMarker *) objectList.current())->setSymStyle(style);
    }
}

void QpPolyMarker::setSymbolSize(double _w, double _h)
{
  QPtrList<QpObject> objectList = findType(QString("QpMarker"));
  for (objectList.first();
       objectList.current() != 0;
       objectList.next())
    {
      ((QpMarker *) objectList.current())->setSymbolSize(_w,_h);
    }
}

