#ifndef QPPOLYMARKER_H
#define QPPOLYMARKER_H

#include "Qplotter/qp/qpmarker.h"

/** %%%

    Set/node of QpMarkers.
    
  Usage:

  TODO:

*/


class QpPolyMarker : public QpNode<QpMarker>
{
public:
  /// Constructor without a marker style
  QpPolyMarker(QpObject *z, bool addOnParent=true,
	 QpTransformation::tStrategy st=QpTransformation::Zone);
  /// Constructor with a marker style
  QpPolyMarker(int nbElement, QpMarker::SymStyle symbol, double *_x, 
	       double *_y, double *_w, double *_h, QpObject *z, 
	       bool addOnParent=true, 
	       QpTransformation::tStrategy st=QpTransformation::Zone);
  // To be implemented: create a set of fixed size markers.
  //  QpPolyMarker(int nbElement, QpMarker::SymStyle symbol, double *_x, 
  //  double *_y, int _w, int _h, QpObject *z, bool addOnParent=true)
  // Destructor
  ~QpPolyMarker();
  /// Change polymarker symbol 
  void setMarkerStyle(QpMarker::SymStyle symbol);
  /// Change polymarker size 
  void setSymbolSize(double _w, double _h);
  /// Gen number of markers
  int getNb() const {return nb;}
  /// Retrieve X coordinate of one element
  double getX(int indice=0) const {return (indice<getNb()) ? x[indice] : 0;}
  /// Retrieve Y coordinate of one element
  double getY(int indice=0) const {return (indice<getNb()) ? y[indice] : 0;}
  /// Retrieve width of one element
  double getW(int indice=0) const {return (indice<getNb()) ? w[indice] : 0;}
  /// Retrieve heigth of one element
  double getH(int indice=0) const {return (indice<getNb()) ? h[indice] : 0;}
private:
  double *x, *y, *w, *h;
  int nb;
};


#endif //QPPOLYMARKER_H

