#ifndef QPSCATTERPLOT2D_H
#define QPSCATTERPLOT2D_H

/** %%%
  Usage:

  TODO:

*/


#include "Interfaces/IScatter2D.h"
#include "Qplotter/qp/qpnode.cpp"
#include "Qplotter/qp/qpsummaryinfo.h"

class QpScatterPlot2D : public QpNode<QpObject>
{
public:
  /// Constructors
  QpScatterPlot2D( QpObject *_z);
  QpScatterPlot2D( QpObject *_z,  Anaphe::IScatter2D *_v);
  /// Destructor
  ~QpScatterPlot2D(){}
  /// Insert a new curve
  void newCurve(Anaphe::IScatter2D  *_v);
  /// Return the summary table
  SummaryTable *getSummaryTable() const { return st; }
  /// Set a SummaryTable
  void setSummaryTable(SummaryTable *_st) {st=_st;}
  /// Draw the curve
  virtual void draw();
  /// Print the curve
  virtual void print();
  /// Determine if the point [x +/- errorX, y +/- errorY] is in the object
  virtual QpObject *touched(double _x, double _y, double errorX, double errorY, QpObject *&node);
  void updateSt();
  void useMarker(int size) {markerSize = size;};
protected:
  void init(Anaphe::IScatter2D *sp2);
  void paint(QPainter *);
private:
  Anaphe::IScatter2D *theData;
  SummaryTable *st;
  int markerSize;
  QPointArray d_pa;
};

#endif
