#include "Qplotter/qp/qptext.h"
#include "Qplotter/qp/qpmath.h"
#include "Qplotter/qp/qpplaintext.h"

const char *mathSignature="<qpmath>";

QpText::QpText(QString _data, QpObject *z, double _x, double _y, double _w, double _h, bool addOnParent,QpTransformation::tStrategy st) :
  QpNode <QpCommonText> (new QString("QpText"), z, addOnParent, st)
{
  // The contained object must have the same transformation strategy
  // as the parent !

  if (_data.find(mathSignature) != -1) {
    QpMath *qpm = new QpMath(_data, this, true, getTransfStrategy()); 
    qpm->setCoords(_x, _y, _w, _h);
  }
  else
    new QpPlainText(_data, this, _x, _y, _w, _h ,true, getTransfStrategy());
}

QpCommonText *QpText::getTextObject() {
  return getElement(0);
}


