#ifndef QPTEXT_H
#define QPTEXT_H

#include "Qplotter/qp/qpcommontext.h"
#include "Qplotter/qp/qpnode.cpp"

/** %%%
    
    The most general text object.
    
  Usage:

    It contains an instance of a class derived from QpCommonText, so
  it can contain either plain text or a mathematical formula defined
  in MatHML (subset!).  Being a QpNode it has graphics attributes, so
  it decorates its child.  The actual type of the child is chosen at
  construction time depending on the content of the text.

*/


class QpText : public QpNode<QpCommonText> {
public:
  /// Constructor
  QpText(QString _data, QpObject *z, double _x, double _y, double _w=0, 
	 double _h=0, bool addOnParent=true,
	 QpTransformation::tStrategy st=QpTransformation::Zone);
  /// Destructor
  ~QpText() {}
  /// Retrieve a pointer to the child as a QpCommonText object
  QpCommonText *getTextObject();
};


#endif
