#ifndef QWT_GRID_H
#define QWT_GRID_H

#include <qglobal.h>
#include <qpen.h>
#include "Qplotter/qwt/qpqwt_dimap.h"
#include "Qplotter/qwt/qpqwt_scldiv.h"
#include <qpainter.h>
#include "Qplotter/qp/qptransformation.h"

class QpQwtGrid
{

protected:

    bool d_xEnabled;
    bool d_yEnabled;
    bool d_xMinEnabled;
    bool d_yMinEnabled;

    QpQwtScaleDiv d_sdx;
    QpQwtScaleDiv d_sdy;

    QPen d_majPen;
    QPen d_minPen;

public:

    QpQwtGrid();
    virtual ~QpQwtGrid();
    const QpQwtGrid &operator=(const QpQwtGrid &g);

    void draw(QPainter *p, const QRect &r, const QpTransformation &t);

    void enableX(bool tf);
    void enableY(bool tf);
    void enableXMin(bool tf);
    void enableYMin(bool tf);
    
    void setXDiv(const QpQwtScaleDiv &sx);
    void setYDiv(const QpQwtScaleDiv &sy);
    
    void setPen(const QPen &p);
    void setMajPen(const QPen &p);
    void setMinPen(const QPen &p);

    const QPen& majPen() const { return d_majPen; }
    const QPen& minPen() const { return d_minPen; }
    
    bool xEnabled() const{ return d_xEnabled; }
    bool xMinEnabled() const { return d_xMinEnabled; }
    bool yEnabled() const { return d_yEnabled; }
    bool yMinEnabled() const {return d_yMinEnabled; }

    const QpQwtScaleDiv &xScaleDiv() const { return d_sdx; }
    const QpQwtScaleDiv &yScaleDiv() const { return d_sdy; }

protected:
    virtual void gridChanged() {}
    
};

#endif
