#ifndef QWT_SCALE_H
#define QWT_SCALE_H

#include <qwidget.h>
#include <qfont.h>
#include <qcolor.h>
#include <qstring.h>
#include <qpainter.h>

#include "Qplotter/qwt/qpqwt_sclif.h"
#include "Qplotter/qwt/qpqwt_autoscl.h"
#include "Qplotter/qp/qpobject.h"

class QpQwtScale 
{
  QpQwtScaleDraw d_scale;
  QpQwtScaleDiv d_sdiv;
  
  int d_borderDist[2];
  int d_scaleLength;
  int d_baseDist;
  
  int d_titleOffset;
  QString d_title,d_label;
  int d_titleDist;
  QFont d_titleFont;
  QColor d_titleColor;
  
public:
  
  enum Orientation { Left, Right, Top, Bottom };
  
  QpQwtScale(QpQwtScale::Orientation);
  ~QpQwtScale();
  
  void setTitle(const char *title);
  void setLabel(const char *label);
  void setBorderDist(int start, int end);
  void setScale(const QpQwtScaleDiv &sd);
  
  void setBaselineDist(int bd);
  void setTitleFont(const QFont &f);
  void setTitleColor(const QColor &c);
  void enableTitle(bool tf);
  
  const QFont &titleFont() const { return d_titleFont; }
  const QColor &titleColor() const { return d_titleColor; }
  const QString& title() const { return d_title; }
  const QString& label() const { return d_label; }
  int minBorderDist(QPainter *p=0) const;
  
  QSize sizeHint(QPainter *p=0) const;
  
  void resizeScale(QPainter* p=0, QWidget* w=0);
  void repaint() { if (oparent) oparent->draw(); }
  void draw(QPainter*, QRect, int, int);
  QpQwtScale::Orientation getOrientation();
  
  
protected:
  
  // void paintEvent(QPaintEvent *e);
  // void resizeEvent(QResizeEvent *e);
  void scaleChange();
  void fontChange(const QFont &oldfont);
  const QpQwtDiMap &map() const { return d_scale; }
  
private:
  QpObject *oparent;
};

#endif




