#ifndef QWT_SCALE_IF_H
#define QWT_SCALE_IF_H

#include <qglobal.h>
#include "Qplotter/qwt/qpqwt_scldraw.h"


class QpQwtScaleIf
{

private:
	bool d_userScale;

protected:

	QpQwtScaleDraw d_scale;
	int d_maxMajor;
	int d_maxMinor;
   
public:

	QpQwtScaleIf();
	virtual ~QpQwtScaleIf() {}
	
	void setScale (double vmin, double vmax, int logarithmic = 0);
	void setScale (double vmin, double vmax, double step, int logarithmic = 0);
	void setScale(const QpQwtScaleDiv &s);
	void setScaleMaxMajor( int ticks);
	void setScaleMaxMinor( int ticks);
	void autoScale();

	int scaleMaxMinor() const {return d_maxMinor;}
	int scaleMaxMajor() const {return d_maxMinor;}

protected:

	bool hasUserScale() {return d_userScale;}
	virtual void scaleChange() = 0;
};




#endif















