#include "test11.h"
#include "Qplotter/qp/qpcurve1D.h"

/** Summary table tests
 */

bool Test11::execute(MyWidget & mW) {
  bool retval = true;

  mW.createZones(1,1);
  
  QpPage *page = mW.getPage();
  QpCurve1D *qpc;
  
  QpZone *z1 = page->getZone(0);
  // Insert one curve for Monte Carlo values
  qpc = new QpCurve1D( z1, *(mW.getV1()) ,QpCurve1D::LINE); 
  qpc->setQpPen(QPen(Qt::red,1));
  SummaryTable* st1 = new SummaryTable;
  st1->append( new StPair( "Max", "100"));
  st1->append( new StPair("legend", "Data"));
  qpc->setSummaryTable(st1);
  qpc = new QpCurve1D( z1, *(mW.getV2()) ,QpCurve1D::LINE_MARKER); 
  SummaryTable* st2 = new SummaryTable;
  st2->append( new StPair( "Max", "200"));
  st2->append( new StPair("legend", "Monte Carlo"));
  qpc->setSummaryTable(st2);

  mW.print(fileName.c_str());
  return retval ;  
}





