#include "test12.h"

/** Color test
 */

const int nbx=50;
const int nby=50;
const int nbPoints = 50000;


bool Test12::execute(MyWidget & mW) {
  bool retval = true;
  int nbLevels = 8;
  int nbZones  = 2;
  int i;
  
  mW.createZones(1,1);
  
  QpPage *page = mW.getPage();
  page->setTitle("Test #12") ;
  page->createZones(nbZones,nbZones);

  Histo2D h2d ( "Test12",nbx,0.,10.,nby,0.,10. );

  double x,y;
  for( i=0; i<nbPoints ; i++ ) {
    // 2D Gaussian
    x = RandGauss::shoot(5.,1.6);   // (meanX=5, stDevX=1.6)
    y = RandGauss::shoot(5.,0.8);   // (meanY=5, stDevY=0.8)
    h2d.fill(x,y);
  }
  
  // Capture histogram in a vector
  HTLAdapter hA (h2d);

  // Show the histogram as a color plot (geographical palette)
  QpZone *zone = page->getZone(0);
  QpCurve2D *qpc = new QpCurve2D(zone);
  qpc->changePalette(QpPalette::GEOGRAPHICAL,nbLevels);
  qpc->newCurve(hA.getVect(), QpCurve2D::COLOR );  

  // Show the histogram as a color plot (default palette)
  zone = page->getZone(1);
  qpc = new QpCurve2D(zone,hA.getVect(), QpCurve2D::COLOR);  
  // Show the histogram as a color plot (greyscale palette)
  zone = page->getZone(2);
  qpc = new QpCurve2D(zone);  
  qpc->changePalette(QpPalette::GREYSCALE,nbLevels);
  qpc->newCurve(hA.getVect(), QpCurve2D::COLOR );  
  // Show the histogram as a color plot (geographical palette)*4 colors

  zone = page->getZone(3);
  qpc = new QpCurve2D(zone);  
  qpc->changePalette(QpPalette::GEOGRAPHICAL,4*nbLevels);
  qpc->newCurve(hA.getVect(), QpCurve2D::COLOR );  
  
  
  mW.print(fileName.c_str());
  return retval ;  
}











