#include "test14.h"
#include "CLHEP/Random/Randomize.h"
#include "AIDA_ScatterPlot/AIDAScatter.h"
#include "AIDA_ScatterPlot/AIDAScatterFactory.h"
#include "Qplotter/qp/qpplot.h"
#include "Qplotter/qp/qpscatterplot2d.h"

/** ScatterPlot vector
 */

const size_t nDraw=100;

bool Test14::execute(MyWidget & mW) {
  bool retval = true;
  unsigned int i;
  
  mW.createZones(1,1);
  
  QpPage *page = mW.getPage();
  page->setTitle("Test #14") ;
  
  Anaphe::IScatter2D* create(double xmin ,double xmax ,
		     double ymin ,double ymax, 
		     Anaphe::IScatter2D::Resolution, const char *opt);

  Anaphe::AIDAScatterFactory aisf;
  Anaphe::IScatter2D*  myScatterPlot = aisf.create (0.,10.,0.,10.);
  
  for( i=0; i<nDraw; i++ )
    myScatterPlot->putPoint(RandGauss::shoot(5.,1.6),RandGauss::shoot(5.,0.8));

  QpZone *zone = page->getZone(0);
  QpScatterPlot2D *qpc = new QpScatterPlot2D(zone, myScatterPlot );
  qpc->useMarker(1);

    
  mW.print(fileName.c_str());
  return retval ;  
}











