#include "test15.h"
#include "CLHEP/Random/Randomize.h"
#include "AIDA_ScatterPlot/AIDAScatter.h"
#include "AIDA_ScatterPlot/AIDAScatterFactory.h"
#include "Qplotter/qp/qpplot.h"
#include "Qplotter/qp/qpscatterplot2d.h"

/** Text properties test
 */

const size_t nDraw=10000;

bool Test15::execute(MyWidget & mW) {
  QpPage *page = mW.getPage();
  QpZone *z = page->getZone(0);


  QpText *textTable[63];
  
  double x =0.1, yd=0.7, y=9.2-yd;
  z->setXRange(0.0,9.0);
  z->setYRange(0.0,9.0);
  z->setQpFont( QFont( "helvetica", 18 ));

  textTable[0] = new QpText("<qpmath><mi>alpha=</mi><mi>&alpha;</mi></qpmath>",z,x,y);
  y-=yd;
  
  textTable[1] = new QpText("<qpmath><mi>beta=</mi><mi>&beta;</mi></qpmath>",z,x,y);y-=yd;
  textTable[2] = new QpText("<qpmath><mi>chi=</mi><mi>&chi;</mi></qpmath>",z,x,y);y-=yd;
  textTable[3] = new QpText("<qpmath><mi>delta=</mi><mi>&delta;</mi></qpmath>",z,x,y);y-=yd;
  textTable[4] = new QpText("<qpmath><mi>Delta=</mi><mi>&Delta;</mi></qpmath>",z,x,y);y-=yd;
  textTable[5] = new QpText("<qpmath><mi>epsi=</mi><mi>&epsi;</mi></qpmath>",z,x,y);y-=yd;
  textTable[6] = new QpText("<qpmath><mi>eta=</mi><mi>&eta;</mi></qpmath>",z,x,y);y-=yd;
  textTable[7] = new QpText("<qpmath><mi>gamma=</mi><mi>&gamma;</mi></qpmath>",z,x,y);y-=yd;
  textTable[8] = new QpText("<qpmath><mi>Gamma=</mi><mi>&Gamma;</mi></qpmath>",z,x,y);y-=yd;
  textTable[9] = new QpText("<qpmath><mi>iota=</mi><mi>&iota;</mi></qpmath>",z,x,y);y-=yd;
  textTable[10] = new QpText("<qpmath><mi>kappa=</mi><mi>&kappa;</mi></qpmath>",z,x,y);y-=yd;
  textTable[11] = new QpText("<qpmath><mi>lambda=</mi><mi>&lambda;</mi></qpmath>",z,x,y);y-=yd;
  textTable[12] = new QpText("<qpmath><mi>Lambda=</mi><mi>&Lambda;</mi></qpmath>",z,x,y);y-=yd;

  x =1.9; y=9.2-yd;
  textTable[13] = new QpText("mu",z,x,y);y-=yd;
  textTable[14] = new QpText("nu",z,x,y);y-=yd;
  textTable[15] = new QpText("omega",z,x,y);y-=yd;
  textTable[16] = new QpText("Omega",z,x,y);y-=yd;
  textTable[17] = new QpText("omicron",z,x,y);y-=yd;
  textTable[18] = new QpText("phi",z,x,y);y-=yd;
  textTable[19] = new QpText("Phi",z,x,y);y-=yd;
  textTable[20] = new QpText("phiv",z,x,y);y-=yd;
  textTable[21] = new QpText("pi",z,x,y);y-=yd;
  textTable[22] = new QpText("Pi",z,x,y);y-=yd;
  textTable[23] = new QpText("piv",z,x,y);y-=yd;
  textTable[24] = new QpText("psi",z,x,y);y-=yd;
  textTable[25] = new QpText("Psi",z,x,y);y-=yd;

  QFont *font = textTable[13]->getQpFont();
  font->setItalic(true);
    
  textTable[13]->setQpFont(*font);
  textTable[14]->setQpFont(*font);
  textTable[15]->setQpFont(*font);
  textTable[16]->setQpFont(*font);
  textTable[17]->setQpFont(*font);
  textTable[18]->setQpFont(*font);
  textTable[19]->setQpFont(*font);
  textTable[20]->setQpFont(*font);
  textTable[21]->setQpFont(*font);
  textTable[22]->setQpFont(*font);
  textTable[23]->setQpFont(*font);
  textTable[24]->setQpFont(*font);
  textTable[25]->setQpFont(*font);
  
  x =3.8; y=9.2-yd;
  textTable[26] = new QpText("rho",z,x,y);y-=yd;
  textTable[27] = new QpText("sigma",z,x,y);y-=yd;
  textTable[28] = new QpText("Sigma",z,x,y);y-=yd;
  textTable[29] = new QpText("tau",z,x,y);y-=yd;
  textTable[30] = new QpText("theta",z,x,y);y-=yd;
  textTable[31] = new QpText("Theta",z,x,y);y-=yd;
  textTable[32] = new QpText("thetav",z,x,y);y-=yd;
  textTable[33] = new QpText("upsi",z,x,y);y-=yd;
  textTable[34] = new QpText("Upsi",z,x,y);y-=yd;
  textTable[35] = new QpText("xi",z,x,y);y-=yd;
  textTable[36] = new QpText("Xi",z,x,y);y-=yd;
  textTable[37] = new QpText("zeta",z,x,y);y-=yd;
  textTable[38] = new QpText("infin",z,x,y);y-=yd;
  x =5.5; y=9.2-yd;

  QFont *font2 = textTable[26]->getQpFont();
  font2->setBold(true);
  
  textTable[26]->setQpFont(*font2);
  textTable[27]->setQpFont(*font2);
  textTable[28]->setQpFont(*font2);
  textTable[29]->setQpFont(*font2);  
  textTable[30]->setQpFont(*font2);
  textTable[31]->setQpFont(*font2);
  textTable[32]->setQpFont(*font2);
  textTable[33]->setQpFont(*font2);
  textTable[34]->setQpFont(*font2);
  textTable[35]->setQpFont(*font2);
  textTable[36]->setQpFont(*font2);  
  textTable[37]->setQpFont(*font2);
  textTable[38]->setQpFont(*font2);
  
  /* QpMath */

  z->setQpFont( QFont( "courier", 14 ));
  
  textTable[39] = new QpText("<qpmath><mi>int=</mi><mi>&int;</mi></qpmath>",z,x,y);y-=yd;
  textTable[40] = new QpText("<qpmath><mi>mnplus=</mi><mi>&mnplus;</mi></qpmath>",z,x,y);y-=yd;
  textTable[41] = new QpText("<qpmath><mi>nabla=</mi><mi>&nabla;</mi></qpmath>",z,x,y);y-=yd;
  textTable[42] = new QpText("<qpmath><mi>sum=</mi><mi>&sum;</mi></qpmath>",z,x,y);y-=yd;
  textTable[43] = new QpText("<qpmath><mi>nbsp=</mi><mi>&nbsp;</mi></qpmath>",z,x,y);y-=yd;
  textTable[44] = new QpText("<qpmath><mi>larr=</mi><mi>&larr;</mi></qpmath>",z,x,y);y-=yd;
  textTable[45] = new QpText("<qpmath><mi>rarr=</mi><mi>&rarr;</mi></qpmath>",z,x,y);y-=yd;
  textTable[46] = new QpText("<qpmath><mi>horbar=</mi><mi>&horbar;</mi></qpmath>",z,x,y);y-=yd;
  textTable[47] = new QpText("<qpmath><mi>prod=</mi><mi>&prod;</mi></qpmath>",z,x,y);y-=yd;
  textTable[48] = new QpText("<qpmath><mi>ape=</mi><mi>&ape;</mi></qpmath>",z,x,y);y-=yd;
  textTable[49] = new QpText("<qpmath><mi>ap=</mi><mi>&ap;</mi></qpmath>",z,x,y);y-=yd;
  textTable[50] = new QpText("<qpmath><mi>lt=</mi><mi>&lt;</mi></qpmath>",z,x,y);y-=yd;
  textTable[51] = new QpText("<qpmath><mi>gt=</mi><mi>&gt;</mi></qpmath>",z,x,y);y-=yd;
  x =7.3; y=9.2-yd;
  
  z->setQpFont( QFont( "courier", 18 ));

  textTable[52] = new QpText("<qpmath><mi>le=</mi><mi>&le;</mi></qpmath>",z,x,y);y-=yd;
  textTable[53] = new QpText("<qpmath><mi>ge=</mi><mi>&ge;</mi></qpmath>",z,x,y);y-=yd;
  textTable[54] = new QpText("<qpmath><mi>exist=</mi><mi>&exist;</mi></qpmath>",z,x,y);y-=yd;
  textTable[55] = new QpText("<qpmath><mi>forall=</mi><mi>&forall;</mi></qpmath>",z,x,y);y-=yd;
  textTable[56] = new QpText("<qpmath><mi>plusmn=</mi><mi>&plusmn;</mi></qpmath>",z,x,y);y-=yd;
  textTable[57] = new QpText("<qpmath><mi>part=</mi><mi>&part;</mi></qpmath>",z,x,y);y-=yd;
  textTable[58] = new QpText("<qpmath><mi>middot=</mi><mi>&middot;</mi></qpmath>",z,x,y);y-=yd;
  textTable[59] = new QpText("<qpmath><mi>hArr=</mi><mi>&hArr;</mi></qpmath>",z,x,y);y-=yd;
  textTable[60] = new QpText("<qpmath><mi>prop=</mi><mi>&prop;</mi></qpmath>",z,x,y);y-=yd;
  textTable[61] = new QpText("<qpmath><mi>radic=</mi><mi>&radic;</mi></qpmath>",z,x,y);y-=yd;
  textTable[62] = new QpText("<qpmath><mi>OverBar=</mi><mi>&OverBar;</mi></qpmath>",z,x,y);

  mW.print(fileName.c_str());
  return true ;  
}











