#include "test3.h"
#include "Qplotter/qp/qpcurve1D.h"

bool Test3::execute(MyWidget & mW) {
  /*
    Test all zone properties here
  */
  bool retval=true;
  mW.createZones(1,1);
  QpPage *page = mW.getPage();

  QpZone *zone ;
  QpZone *zoneCopy ;

  zone = page->getZone(0);
  //  zone->addText(120.0,80.0,"Text");
  //  zone->null(0.0,0.25,0.0,0.25);
  // QpZone(QpObject *p, QpMap *_xMap, QpMap *_yMap);
  //  zoneCopy = new QpZone(zone) ;
  zoneCopy = zone->getZone() ;
  zoneCopy->null() ;
  zone->getFixedCoords() ;
  
  QpTransformation *tr ;
  tr = zone->getTransformation(QpTransformation::Page);

  QRect limit ;
  limit = zone->getLimits() ;

  mW.createZones(1,1);
  QpZone *z1 = mW.getPage()->getZone(0);
  new QpCurve1D( z1, *(mW.getV1()), QpCurve1D::SMOOTH);
  
  zone = page->getZone(0);
  zone->setTitle("Title");
  zone->getTitle();
  
  zone->setFixedCoords(true);
  zone->enableBoundingBox(false);

  double min,max ;
  
  zone->getXRange(min,max);
  zone->getYRange(min,max);

  zone->setXRange(10.0,1000.0,true);
  zone->setYRange(-10.0,10.0,false);

  QpAxisNode *axis ;
  
  axis = zone->updateX(1.0,1000.0,true);
  axis = zone->updateY(10.0,100.0,false);
  axis = zone->getAxisNode();

  zone->unZoom() ;  
  zone->zoom(20.0,60.0,1.6);
  zone->zoom(1.0,1.0,80.0,120.0);
    
  zone->setXLog (true);
  zone->setYLog (false);

  if (zone->getXLog() != true) {
    std::cerr<<"zone->setXLog() failed" << std::endl;
    retval=false;
  }

  if (zone->getYLog() != false) {
    std::cerr<<"zone->setYLog() failed" << std::endl;
    retval=false;
  } 
  
  zone->makeAxis (QpZone::Top);
  zone->enableGridY(true,true);

  QpSummaryInfo *summary ;
  summary = zone->getSummaryInfo() ;

  zone->draw() ;
  //  zone->print();
  
  page->redraw() ;

  mW.print(fileName.c_str());
  return retval ;  
}

