#include "test4.h"
#include "Qplotter/qp/qpzone.h"

bool Test4::execute(MyWidget & mW)
{
  /*
    Test all page properties here
  */
  bool retval = true ;
  mW.createZones(1,1);
  QpPage *page = mW.getPage();

  page->clear();
  
  QpZone *zone ;
  zone = page->getZone(0);
  zone->setXRange(0.0,9.0);
  zone->setYRange(0.0,9.0);

  /**  Test text properties  **/

  page->setTitle(QString("TitleLeft"),Qt::AlignLeft);
  page->setTitle(QString("TitleCenter"),Qt::AlignCenter);
  page->setTitle(QString("TitleRight"),Qt::AlignRight);

  page->addText(120.0,80.0,"Text");  

  zone->addText (4.1,6.8,QString("(10,30) Zone Coordinates"),
		 QpTransformation::Zone);
  page->addText (10,30,QString("(10,30) Page Coordinates"));
  zone->addText (-50,-30,QString("(-50,-30) Page coords (top right corner)"),
		 QpTransformation::ZrTopRight);

  //Insert a text with Page coordinates.   
  QpText *pgT = page->addText(90.0,90.0,QString("(90,90) Page Coordinates"));
  pgT->getTextObject()->setAngle(45);
  pgT->setQpPen(QPen(Qt::blue,1));

  /** Math text properties **/

  new QpText ("<qpmath><mrow> <msub><mi>L</mi> <mi>em</mi></msub><mo>=</mo> <mi>&nbsp;</mi> <mi>e</mi><mi>&nbsp;</mi> <msubsup><mi>J</mi><mi>em</mi> <mi>&mu;</mi></msubsup><msub><mi>A</mi> <mi>&mu;</mi></msub><mi>&nbsp;</mi><mi>,</mi><mi>&nbsp;</mi><msubsup><mi>J</mi><mi>em</mi> <mi>&mu;</mi></msubsup> <mo>=</mo> <mover><mi>l</mi><mo>_</mo></mover><mi>&nbsp;</mi><msub><mi>&gamma;</mi> <mi>&mu;</mi></msub><mi>l</mi><mi>&nbsp;</mi><mi>,</mi><mi>&nbsp;</mi><msubsup><mi>M</mi><mi>i</mi> <mi>j</mi></msubsup> <mo>=</mo> <munderover><mi>&sum;</mi> <mrow><mi>&nbsp;</mi><mi>&alpha;</mi></mrow><mrow><mi>&nbsp;</mi><mi>&infin;</mi></mrow></munderover><msub><mi>A</mi> <mi>&alpha;</mi></msub><msubsup><mi>&tau;</mi><mrow><mi>&alpha;</mi><mi>j</mi></mrow> <mi>i</mi></msubsup> </mrow></qpmath>",
	      zone,0.5,2.);

  page->setNbXZones(2) ;
  page->setNbYZones(3) ;

  //  page->setQpPen(QPen ( QColor(128,0,128), 4, Qt::SolidLine));
  //  page->setQpBrush(QBrush(Qt::yellow));
  page->setQpFont(QFont ("Courier"));
  //  page->useFixedRatio(true);
  
  //  page->createZones(4,3);
  //  page->flushZone(0);
  //  page->redrawZone();
  
  page->redraw();
  page->draw();
  
  mW.print(fileName.c_str());
  return retval ;  
}
