#include "test7.h"
#include "Qplotter/qp/qppage.h"
#include "Qplotter/qp/qppolyline.h"

/** Qplotter scene graph methods testing
 */


double polyX1[] = {1.,2.,3.,4.,4.,3.,2.,1.};
double polyY1[] = {4.,2.,2.,4.,6.,8.,8.,6.};
double polyX2[] = {2.,3.,4.,5.};
double polyY2[] = {6.,9.,9.,6.};
double polyX3[] = {5.,6.,7.};
double polyY3[] = {5.,7.,5.};
double lineX1[] = {5.,6.,7.,8.,9.};
double lineY1[] = {2.,3.,4.,4.,2.};


bool Test7::execute(MyWidget & mW) {
  /*
    Test all scene graph properties here

    QpNode:
     insertElement(const Element *obj, int position=0)
     addElement(const Element *obj)
     removeElement(Element *obj)
     setAutoDelete(bool a)
     clearList()
     searchElement(bool function(Element*))
  */

  // page is the root of the scene graph
  //  (*FILE) << "Page have " << page->count() << " elements" << std::endl ;
  bool retval = true ;
  mW.createZones(1,1);
  QpPage *page = mW.getPage();  

  paintPage(page);  
  treeWalking(page,0);    

  mW.print(fileName.c_str());
  return retval;
}

void Test7::paintPage(QpPage *page) 
{
  /* Draw scene graph */

  page->getZone(0)->setXRange(0.0,10.0);
  page->getZone(0)->setYRange(0.0,10.0);
  //    page->getZone(1)->setXRange(0.0,10.0);
  //    page->getZone(1)->setYRange(0.0,10.0);

  
  
  QpNode<QpPolyShape> *polygon0 =
    new QpNode<QpPolyShape> (new QString ("Polygon"), page->getZone(0));
  //    QpNode<QpPolyShape> *polygon1 =
  //      new QpNode<QpPolyShape> (new QString ("Polygon"), page->getZone(1));
  
  polygon0->setQpBrush(QBrush(Qt::blue));
  //  polygon1->setQpBrush(QBrush(Qt::red));

  new QpPolygon (8, polyX1, polyY1, polygon0, true);
  new QpPolygon (4, polyX2, polyY2, polygon0, true);
  new QpPolygon (3, polyX3, polyY3, polygon0, true);

  //    new QpPolygon (4, polyX2, polyY2, polygon1, true);
  //    new QpPolygon (3, polyX3, polyY3, polygon1, true);
  //    new QpPolygon (8, polyX1, polyY1, polygon1, true);

  new QpPolyLine (5, lineX1, lineY1, polygon0);
  
  
  page->draw() ;
}

void Test7::treeWalking(QpNode<QpObject> *node, unsigned int l)
{
  unsigned int i,j;

  for (i=0;i<l;i++) {
    (*FILE) << "\t" ;    
  }
  
  (*FILE) << node << " have " << node->count() + 1 << " elements" << std::endl ;
  
  for (unsigned int i = 0 ; i < node->count(); i++ ) {
    for (j=0 ; j<l ; j++) {
      (*FILE) << "\t" ;    
    }
  
    (*FILE) << node << " Element " << i << " is: " << std::endl ;
    QpObject *qpobj = node->getElement(i);

    (*FILE) << qpobj->isA() << std::endl ;

    if (qpobj->isA() == "QpZone") {
      treeWalking((QpNode<QpObject> *) qpobj, l+1);
    }

    if (qpobj->isA() == "Polygon") {
      treeWalking((QpNode<QpObject> *) qpobj, l+1);
      //      node->removeElement(qpobj);
    }
    
  }  
}




