#include "test8.h"
#include "Qplotter/qp/qppage.h"
#include "Qplotter/qp/qppolyface.h"

/** Faces test (from face2D tutorial)
 */

bool Test8::execute(MyWidget & mW) {
  bool retval = true ;
  mW.createZones(1,1);
  QpPage *page = mW.getPage();

  QpZone *z1 = page->getZone(0);
  z1->setXRange(0.0,8.001);
  z1->setYRange(0.0,8.0);
  
  // Create a QpPolyface simulating a chessboard (black brush)
  //Arrays to be filled
  double x[32],y[32],w[32],h[32];
  //Variable to fill the array
  double _x,_y,_w,_h;
  //Initializating the Weight and Height of the faces.
  _w= 1.0;
  _h= 1.0;
  
  bool pairs= false;
  int index = 0;
  
  //Arrays filling
  for(_x=0;_x<8;_x++){
    for(_y=1;_y<9;_y+=2){
      if ((_y==1)&&(pairs)) _y=_y+1;
      //Filling all the coordinates
      x[index]=_x;
      y[index]=_y;
      w[index]=_w;
      h[index]=_h;
      index++;
    }
    if (!pairs) pairs=true;
    else pairs=false;
  }
  //Building the QpPolyFace
  QpPolyFace *qppf= new QpPolyFace (index,x,y,w,h,false,z1);
  qppf->setQpBrush(QBrush(Qt::black));
  qppf->setQpPen(QPen(Qt::black,1));  

  mW.print(fileName.c_str());
  return retval ;  
}




