#include "test1.h"
#include "test2.h"
#include "test3.h"
#include "test4.h"
#include "test5.h"
#include "test7.h"
#include "test8.h"
#include "test9.h"
#include "test10.h"
#include "test11.h"
#ifndef STANDALONE
#include "test12.h"
#include "test13.h"
#include "test14.h"
#include "test15.h"
#endif
#include "test16.h"
#include "tester.h"


Tester::Tester() {
  /*
  */
  allTests.push_back(new Test1("1"));
  testsName.push_back((char *)"Test #1 (axis test)");  
  allTests.push_back(new Test2("2"));
  testsName.push_back((char *)"Test #2 (curve 1D)");
  allTests.push_back(new Test3("3"));
  testsName.push_back((char *)"Test #3 (Zone test)");  
  allTests.push_back(new Test4("4"));
  testsName.push_back((char *)"Test #4 (Page test)");  
  allTests.push_back(new Test5("5"));
  testsName.push_back((char *)"Test #5 (Curve2D test)");  
  allTests.push_back(new Test7("7"));
  testsName.push_back((char *)"Test #7 (QpNode Testing)");  
  allTests.push_back(new Test8("8"));
  testsName.push_back((char *)"Test #8 (Faces test)");  
  //  allTests.push_back(new Test9("9"));
  //  testsName.push_back((char *)"Test #9 (Multizone test)");  
  allTests.push_back(new Test10("10"));
  testsName.push_back((char *)"Test #10 (General area test)");  
  allTests.push_back(new Test11("11"));
  testsName.push_back((char *)"Test #11 (Summary table test)");  
#ifndef STANDALONE
  allTests.push_back(new Test12("12"));
  testsName.push_back((char *)"Test #12 (Color test)");  
  allTests.push_back(new Test13("13"));
  testsName.push_back((char *)"Test #13 (ScatterPlot vector test)");  
  //  allTests.push_back(new Test14("14"));
  //  testsName.push_back((char *)"Test #14 (ScatterPlot bitmap test)");  
  allTests.push_back(new Test15("15"));
  testsName.push_back((char *)"Test #15");  
#endif
  allTests.push_back(new Test16("16"));
  testsName.push_back((char *)"Test #16");  
}

Tester::~Tester() {
  for (size_t i = 0; i< allTests.size() ; i++)
    delete(allTests[i]);
}

bool Tester::run(MyWidget & mW) {
  bool retval=true;
  for (size_t i = 0; i< allTests.size() ; i++)
    {      
      /* Clean the page after each test ! */
      bool testResult = allTests[i]->execute(mW);
      if (testResult == false) {	
	std::cerr<<testsName[i] << " failed! *******************" << std::endl;
      } else {
	std::cerr<< testsName[i] << " passed" << std::endl;
      }            
      retval = retval && testResult;      
      mW.clearAll() ;     // Seg fault ?
    }
  
  return retval;
}




