#ifndef WIDGET_H
#define WIDGET_H

#include <qwidget.h> 
#include <qevent.h>
#include "Interfaces/IVector.h"

#include "Qplotter/qp/qppage.h"

const int pixDim=600;

// Subclass Qt QWidget to make our window

class MyWidget : public QWidget
{
public:
  MyWidget( QWidget *parent=0, const char *name=0 );
  ~MyWidget( );
  void draw() {page->draw();}
  void print(const char *filename) {page->print(filename);}
  void newCurve();
  void changeAxis();
  void createZones (int nX,int nY);
  QpPage * getPage () const {return page;}
  void clearAll()
  {
    page->clear();
    
    delete page;
    page = new QpPage(this,QRect(0,0,pixDim,pixDim),210,210);
    createZones(1,1);
  }
  Anaphe::IVector *getV1  () const { return vp1;}
  Anaphe::IVector *getV2  () const { return vp2;}
  Anaphe::IVector *getV2D () const { return vp2D;}

private:
  QpPage  *page;
  Anaphe::IVector* vp1;
  Anaphe::IVector* vp2;
  Anaphe::IVector* vp2D;
protected:
  /// Events processing
  void resizeEvent(QResizeEvent* e){page->resize(e->size());}
};





#endif
