#ifndef _APPINSTANCEH_
#define _APPINSTANCEH_

#include <qapplication.h>

/**
   A Singleton pattern keeping track of the QApplication object. Qt
   requires only one instance of QApplication exists in any user
   application.

*/

class GUIThread;

class QApplicationInstance : public QApplication {
 public:
  /// Return one and only one instance of QApplication
  static QApplicationInstance* Instance();
  static QApplicationInstance* retrieveInstance();
  static void makeThread();
  static void deref();
 protected:
  QApplicationInstance(int &argc, char **argv) : QApplication (argc,argv) {;}
 private:
  static void createInstance();
  static void cancelThreads();
  
 private:
  static QApplicationInstance* _instance;
#ifndef NO_THREADED_PLOTTER
  // GUIThread is the thread running GUI.
  static GUIThread* guiThread;
  static int count;
#endif
};

#endif //_APPINSTANCEH_
