#include "Qplotter/viewer/propertySet.h"

void StringPropertySet::addProperty(QPSTD::string key, QPSTD::string values) {
  // Add leading and trailig blanks to allow exact match
  if (values.size() > 0)
    values = " " + values + " ";
  QPSTD::pair < QPSTD::string , QPSTD::string > apair(key,values);
  properties_.push_back (apair);
}

void StringPropertySet::addColorProperty(QPSTD::string key) {
  QPSTD::pair < QPSTD::string , QPSTD::string > apair(key,ColorProperties);
  properties_.push_back (apair);
}

StringPropertySet::Existance StringPropertySet::find (QPSTD::string key,
						      QPSTD::string value){
  Existance retval = KEYNOTFOUND;
  // Add leading and trailing blanks to allow exact match
  if (value.size() > 0)
    value = " " + value + " ";

  QPSTD::list< QPSTD::pair < QPSTD::string, QPSTD::string > >::iterator itr = 
    properties_.begin();
  while ((itr != properties_.end()) && (retval != FOUND)) {

#if defined __sun && __SUNPRO_CC < 0x500
    if ((*itr).first == key) {
      retval = VALUENOTFOUND;
      QPSTD::string::size_type idx = ((*itr).second).find(value);
      if ((((*itr).second).find(value) != QPSTD::string::npos) 
	  || ((*itr).second==""))
	retval = FOUND;
    }
#else /* from here on not CC-4.2 */
    if (itr->first == key) {
      retval = VALUENOTFOUND;
      if (((itr->second).find(value) != QPSTD::string::npos)
	  ||  (itr->second==""))
	retval = FOUND;
    }
#endif /* not Sun CC-4.2 */

    itr++;
  }  
  return retval;
}

void StringPropertySet::print (QPSTD::ostream& s) {
    QPSTD::list< QPSTD::pair < QPSTD::string, QPSTD::string > >::iterator itr;
    itr = properties_.begin();
    while (itr != properties_.end()) {
#if defined __sun && __SUNPRO_CC < 0x500
      s << "(\"" << (*itr).first<<"\",\"";
      if ((*itr).second.size() > 0) 
	s <<(*itr).second << "\")" << "\n";
      else
	s << "value\")" << "\n";	
#else /* from here on not CC-4.2 */
      s << "(\"" << itr->first<<"\",\"";
      if (itr->second.size() > 0) 
	s <<itr->second << "\")" << "\n";
      else
	s << "value\")" << "\n";	
#endif /* not Sun CC-4.2 */
      itr++;
    } 
  }

