#include <qapplication.h>
#include "Qplotter/viewer/qpViewThread.h"

void GUIThread::run()
{
  // the application global mutex will be locked in the constructor
  // and unlocked when entering the event loop with exec(). But as the
  // application is not created in this thread we must unlock it in
  // the other thread and lock it again here before exec()
  
  qapp->lock();
  qapp->exec();
}

GUIThread::GUIThread(QApplication *qApp)
{
  qapp = qApp;
}

void GUIThread::cancel()
{
  // Send the QApplication instance a quit() signal
  qapp->quit();
  qapp->wakeUpGuiThread();
}


