/**********************************************************************
  *                                                                    *
  * Copyright (c) 2002 Andreas Pfeiffer, CERN/IT                       *
  *                    <andreas.pfeiffer@cern.ch>                      *
  *                                                                    *
  * This library is free software; you can redistribute it and/or      *
  * modify it under the terms of the GNU Lesser General Public         *
  * License as published by the Free Software Foundation; either       *
  * version 2.1 of the License, or (at your option) any later version. *
  *                                                                    *
  * This library is distributed in the hope that it will be useful,    *
  * but WITHOUT ANY WARRANTY; without even the implied warranty of     *
  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU   *
  * Lesser General Public License for more details.                    *
  *                                                                    *
  * You should have received a copy of the GNU Lesser General Public   *
  * License along with this library (see file COPYING); if not, write  *
  * to the Free Software Foundation, Inc., 59 Temple Place, Suite      *
  * 330, Boston, MA 02111-1307 USA, or contact the author              *
  **********************************************************************/


// header file for class AIDAVectorFactory 
// Created by: Andreas Pfeiffer  at Wed Jan 19 20:36:32 2000
// 
// Last update: 
//              
// 
#ifndef INCLUDED_AIDAVECTORFACTORY_H
#define INCLUDED_AIDAVECTORFACTORY_H

#include "Interfaces/IVectorFactory.h"

class IScalar;
class IPoint;
class IVector;

class IVectorManager;

namespace Anaphe {

  class AIDAVectorFactory : virtual public IVectorFactory { 

  public: 
    AIDAVectorFactory();
    virtual ~AIDAVectorFactory() { /* nop */ ; }

  public:
    // let the compiler deal with these ...
    //  AIDAVectorFactory(const AIDAVectorFactory &); 
    //  AIDAVectorFactory & operator = (const AIDAVectorFactory &); 

  public: 		// public methods
    virtual IScalar * createScalar(double x, double xp, double xm);
    virtual IPoint  * createPoint();

  public: 		// public methods
    virtual IVector * create();
  
//-ap	 virtual IVector * from1D(IHistogram1D *);
//-ap	 virtual IVector * from2D(IHistogram2D *);
//-ap	 virtual IVector * fromProfile(IProfileHistogram *h, const char * options  = 0);

    virtual void unregister(IVector * v);

    // for call-backs:
    virtual void setManager(IVectorManager * vm);

  private:
    IVectorManager *myManager;
  }; 

} //end namespace Anaphe

#endif /* INCLUDED_AIDAVECTORFACTORY_H */ 
