#			-*- Mode: makefile -*- 
# 
# This is a "simplified" version of the Anaphe make-include.
# Needs to be updated (together with the other files in this
# directory whenever changes to the $LHCXX_REL_DIR/etc/ files
# are made.
#

#
# Definitions for Linux
# 
ifdef LHCXXTOP
  DOXYGEN=$(LHCXXTOP)/contrib/$(PLATF)/doxygen-1.2.8.1/bin/doxygen
else
  ifndef DOXYGEN
    # change this to point to your doxygen location:
    DOXYGEN=/usr/bin/doxygen
  endif
endif

include ${ETCDIR}/unix_defaults.mk

# select which "compiler" (or code checking tool) to use:
ifdef USE_CODEWIZARD
  C++       = codewizard
else
  ifdef USE_INSURE
    C++	  = insure
  else
    C++	  = g++ 
  endif
endif

# allow to switch off additional warnings (for those who can't get rid of them otherwise)
ifndef NO_ADDITIONAL_WARNINGS
ifndef NO_ANSI_WARNINGS
C_FLAGS += -ansi -pedantic
endif

C_FLAGS  += -Wall \
	-Wno-long-long \
	-Wpointer-arith \
	-Woverloaded-virtual -Wconversion 
endif

C_FLAGS += -pthread

# dynamic loading
MKSHLIB         = $(C++) -pthread -shared -o #need the trailing space
SHLIB_FLAGS     = -fPIC 
DYNA_LIBS       = -ldl

# all libs for linking of executables 
LHCXX_ALL_LIBS = -L$(LHCXX_REL_DIR)/lib              \
	     -lCLHEP                                 \
	     -lAIDA_Analyzer                         \
             -lAIDA_Annotation                       \
	     -lAIDA_FML                           \
	     -lAIDA_HTL                              \
	     -lAIDA_Ntuple                           \
	     -lAIDA_Plotter                          \
	     -lVector                                \
	     -lGemini                                \
	     -lFML-nag                            \
	     -lHepUtilities                          \
	     -lNtupleTag                             \
	     -lqp  -lqpview                          \
	     -lqt-mt                                 \
	     -lT_Histoxx -lP_Histoxx -lP_HistoHelper \
	     $(HEP_CALIB_LIBS) $(HEP_ODBMS_LIBS)     \
	     $(OBJY_LIBS)                            \
	     -lnagc                                  \
	     -lc -lm -lg2c -lm -lgcc -lgcc

ifdef VERBOSE
  MSG:=$(shell echo including "${ETCDIR}"/Linux.mk  >& 2 )  
endif 

