#			-*- Mode: makefile -*- 
#
#
# LHC++ definitions for Solaris 7 / CC 5.1
# 

include ${ETCDIR}/unix_defaults.mk

C++		= CC 

# dynamic loading
# there's has a problem with -z text
# MKSHLIB         = $(C++) -G -z text -o #need the trailing space
MKSHLIB         = $(C++) -G -lCrun -o #need the trailing space
SHLIB_FLAGS     = -KPIC 
# Objectivity V 6 generates some anachronism...
#C_FLAGS         += -features=no%anachronisms -mt
C_FLAGS         += -mt 
DYNA_LIBS       = -ldl 

# additional libraries
OBJY_LIBS      += -lrpcsvc -lnsl -lsocket $(DYNA_LIBS)

# all libs for linking of executables 
LHCXX_ALL_LIBS = -L$(LHCXX_REL_DIR)/lib              \
	     -lAIDA_Analyzer                         \
             -lAIDA_Annotation                       \
	     -lAIDA_Fitter                           \
	     -lAIDA_HTL                              \
	     -lAIDA_Ntuple                           \
	     -lAIDA_Plotter                          \
	     -lVector                                \
	     -lGemini                                \
	     -lHepFitting                            \
	     -lHepUtilities                          \
	     -lNtupleTag                             \
	     -lqp -lqpqwt -lqpview                   \
	     -lqt                                    \
	     -lT_Histoxx -lP_Histoxx -lP_HistoHelper \
	     $(HEP_CALIB_LIBS) $(HEP_ODBMS_LIBS)     \
	     $(OBJY_LIBS)                            \
	     -lCLHEP                                 \
	     -lnagc -lrwtool                                


ifdef VERBOSE
  MSG:=$(shell echo including "${ETCDIR}"/Solaris.mk  >& 2 )  
endif 
