#!/usr/bin/perl
use Term::ReadLine;
$term = new Term::ReadLine 'Qplotter Demo';
$orn = $term->ornaments(0);
$features =  $term->Features;
$$features{"autohistory"} = 0;
$prompt = "demo> ";
$OUT = $term->OUT || STDOUT;

@demo = (
	 { name => "fourzones", dir => "tutorial", desc => "Four Zones", active => 0}, 
	 { name => "multirep", dir => "tutorial", desc => "MultiRep", active => 0}, 
	 { name => "nonregzones", dir => "tutorial", desc => "NonRegZones", active => 0}, 
	 { name => "summaryt", dir => "tutorial", desc => "SummaryT", active => 0}, 
	 { name => "useaxis", dir => "tutorial", desc => "Use Axis", active => 0}, 
	 { name => "text", dir => "tutorial", desc => "Use Text", active => 0}, 
	 { name => "usemath", dir => "tutorial", desc => "Use Math", active => 0}, 
	 { name => "usetree", dir => "tutorial", desc => "Use Tree", active => 0}, 
	 { name => "zoom1", dir => "tutorial", desc => "Zoom 1", active => 0}, 
	 { name => "zoom2", dir => "tutorial", desc => "Zoom 2", active => 0}, 
	 { name => "zoom3", dir => "tutorial", desc => "Zoom 3", active => 0}, 
#	 { name => "colors", dir => "examples/colors", desc => "Colors", active => 0}, 
	 { name => "showgliph", dir => "examples/gliph", desc => "Gliphs", active => 0}, 
#	 { name => "histo1d", dir => "examples/Histo1D", desc => "1D Histogram", active => 0}, 
#	 { name => "histo2d", dir => "examples/Histo2D", desc => "2D Histogram", active => 0}, 
	 { name => "curve1D", dir => "examples/curve1D", desc => "1D Curve", active => 0}, 
#	 { name => "markerr", dir => "examples/markerr", desc => "Markers and Error Bars", active => 0}, 
#	 { name => "scatterPlot", dir => "examples/scatterPlot", desc => "Scatter Plot", active => 0}, 
	 { name => "zoom1", dir => "examples/zoom", desc => "Zooming", active => 0}, 
	 { name => "oneZone1D", dir => "examples/oneZone1D", desc => "One Zone", active => 0}, 
	 { name => "multiZones1D", dir => "examples/multiZones1D", desc => "Multiple Zones", active => 0}, 
	 );


$DEMO_MAX = $#demo + 1;

#$basedir =  "/usr/local/LHC++/share/Qplotter/1.5.0.3/Qplotter";
#$basedir = "/usr/local/QPlotter/Qplotter";
$basedir = $ENV{"QPDIR"}."/Qplotter";
chdir "$basedir";

do_intro();

LOOP: while ( defined ($_ = $term->readline($prompt)) ) {
  
  $term->addhistory($_) if /\S/;
    
  SWITCH: {
      /^m/ && do { do_menu(); last SWITCH};
      /^h/ && do { do_usage(); last SWITCH};
      /^(\d+?$)/ && do { do_demo($1); last SWITCH};
      /^k/ && do { do_kill(); last SWITCH};
      /^q/ && do { last LOOP; };
      
  }

#  print $OUT $_, "\n";
}

print $OUT "Exiting demo: Goodbye.\n";

sub do_intro {
    print $OUT "\n    Welcome to the QPlotter Demo Program!\n\n";
    do_usage();
}

sub do_usage {
    print $OUT "\tQPlotter Demo Usage:\n\n";
    print $OUT "\tType a command that is one of: \n";
    print $OUT "\th --- This help message\n";
    print $OUT "\tm --- Menu of demos\n";
    print $OUT "\tAn integer demo number between 1 and $DEMO_MAX to run that demo.\n";
    print $OUT "\tk --- Kill currently running demos\n";
    print $OUT "\tq --- Quit\n";
}

sub do_menu {
    print $OUT "QPlotter Demo Menu:\n\n";
    for ($i = 1; $i <= @demo; $i++) {
	print $OUT "\t$i\t --- \t", $demo[$i-1]{desc}, "\n";
    }
}

sub do_demo {
    my $demonum = shift;
    print $OUT "$demonum\n";
    if ($demonum > 0 && $demonum <= @demo) {
	print $OUT "Running demo $demo[$demonum-1]{desc}... \n";
	chdir "$demo[$demonum-1]{dir}";
	$rc = system("Linux/$demo[$demonum-1]{name} &");
	#print $OUT "$rc\n";
	$demo[$demonum-1]{active} = 1;
	chdir "$basedir";
    }
    else {
	print $OUT "Unknown demo number. Try again.\n";
    }
}

sub do_kill {
    print $OUT "Killing running demos... \n";
    for ($i = 0; $i < @demo; $i++) {
	if ($demo[$i]{active} == 1) {
	    system("killall $basedir/$demo[$i]{dir}/Linux/$demo[$i]{name}"); 
	    $demo[$i]{active} = 0;
	}
    }
}


#print STDOUT "\nReadline features: \n";
#foreach $key (sort keys %$features) {
#    print STDOUT $key, '=', $$features{$key}, "\n";
#}

#print STDOUT "\nReadline attributes: \n";
#$attribs =  $term->Attribs;
#foreach $key (sort keys %$attribs) {
#    print STDOUT $key, '=', $$attribs{$key}, "\n";
#}

